<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <div py:def="renderFlipList (fliplistControl)">
  <!-- a procedure that will render a flip list control on the gui -->

  <?python
   column_names = ','.join([repr(x.name) for x in fliplistControl.columns])
   column_display_names = ','.join([repr(x.title) for x in fliplistControl.columns])
   searchable_columns = filter(lambda x:x.searchable, fliplistControl.columns)

   # save the entries in the session
   session.sitelist = fliplistControl.entryList

   # save the entries view in the session, so that it can be retrieved later
   session[ fliplistControl.viewName ] = fliplistControl.entryListView

   # eventConfirmationMap initialization code
   eventConfirmationMap = [
                           ('img', 'delete:', _('Are you sure you want to delete this item?')),
                           ('input', 'deletecheckboxitems:', _('Are you sure you want to delete the checked item(s)?'))
                          ]

   eventconfirmation_js = [ "new Array ('%s', '%s', '%s')" % (x, y, z) for x, y, z in eventConfirmationMap ]
   import string
   eventconfirmation_js_array = "new Array (" + string.join (eventconfirmation_js, ",") + ")"
  ?>

  <!-- first pull in the flip list javascript code -->
  <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
  </script>

  <!-- now initialize the column names and column display names -->
  <script>
   initializeFlipListColumns (new Array(${column_names}));
   initializeFlipListColumnDisplays (new Array(${column_display_names}));
   setCurrentPage (1);
   initializeSortColumnImageMap ();
   initializeFlipListViewName (${repr(fliplistControl.viewName)});
   initializeFlipListLoginRole (${repr(session['role'])});
   setFlipListSize (loadItemsPerPage ());

  </script>

  <div class="trans-box-container">
  <div class="trans-box-tl">
  <div class="trans-box-tr">
  <div class="trans-box-bl">
  <div class="trans-box-br">
  <!-- render the search bar if necessary -->
  
  <!-- render the title -->
  <div py:if="(fliplistControl.title)" class="fliplist-title">${fliplistControl.title}</div>
  
  <div class="fliplist-action-bar">
    <div class="fliplist-button-container" py:if="hasattr(fliplistControl, 'buttons') and fliplistControl.buttons">
        <a py:for="bdata in fliplistControl.buttons">
            <form accept-charset="utf-8" method="POST" py:attrs="bdata['form_data']">
              <a py:if="'others' in bdata['input_data']">
                <input py:attrs="bdata['input_data']"/>
              </a>
              <a py:if="not('others' in bdata['input_data'])">
                <input class="button" type="submit" py:attrs="bdata['input_data']" />
              </a>  
            </form>
        </a>
    </div>
  <div class="fliplist-search-bar" py:if="len(searchable_columns) > 0">
   <lang>Show</lang>:
   <select id="searchby" name="searchby">
    <option py:for="col in searchable_columns" value="${col.name}">${col.title}</option>
   </select>
   <input type="text" id="searchtext" name="searchtext" tabindex="1"/>
   <input class="button" type="button" id="searchbutton" name="searchbutton" value="${_('Search')}" tabindex="2"/>
   <input class="button" type="button" id="showall" name="showall" value="${_('Show All')}" tabindex="3"/>
  </div>
  </div>
  

  <!-- render any action columns, if any -->
  <div py:if="len(fliplistControl.actionLinks)" class="fliplist-links-container">
   <input py:for="link in fliplistControl.actionLinks" type="button" class="button" value="${link.display}" onclick="window.location='${link.href}';"></input>
  </div>

  <!-- now we start drawing the flip list table -->
  <table id="fliplist" name="fliplist" width="100%">
   <tr>
    <a py:for="col in fliplistControl.columns">
     <a py:if="hasattr(col, 'width')">
      <td class="fliplist-column-head" width="${col.width}">
      <span py:if="col.sortable == False">${col.title}</span>
      <a py:if="col.sortable == True" id="flcolumn:${col.name}" name="flcolumn:${col.name}" href="javascript:void(0);">${col.title}</a>
      <img py:if="col.sortable == True" src="/static/images/arrow-up.gif" id="sortimg:${col.name}" name="sortimg:${col.name}"></img>
      </td>
     </a>
     <a py:if="not(hasattr(col, 'width'))">
      <td class="fliplist-column-head" width="auto">
      <span py:if="col.sortable == False">${col.title}</span>
      <a py:if="col.sortable == True" id="flcolumn:${col.name}" name="flcolumn:${col.name}" href="javascript:void(0);">${col.title}</a>
      <img py:if="col.sortable == True" src="/static/images/arrow-up.gif" id="sortimg:${col.name}" name="sortimg:${col.name}"></img>
      </td> 
     </a> 
    </a>
   </tr>
  </table>

  <!-- the pagination control -->
  <table class="fliplist-page-bar" width="100%">
   <tr>
    <td class="fliplist-itemspp">
     <select id="itemspp" name="itemspp">
      <option value="5">5</option>
      <option value="10">10</option>
      <option value="20">20</option>
      <option value="50">50</option>
      <option value="100">100</option>
     </select>
    <script>
     initializeItemsPerPage ();
    </script>
    <span><lang>items per page</lang></span>
    </td>
    <td class="fliplist-pagenumbers" align="center">
     <span><lang>Page</lang> </span><span class="fliplist-totalpages" id="currentpage" name="currentpage"> </span><span> <lang>of</lang> </span><span class="fliplist-totalpages" id="totalpages" name="totalpages"></span>
    </td>
    <td class="fliplist-pagenav" align="right">
     <img id="pagefirst" name="pagefirst" src="/static/images/arrow_first.gif"/>
     <img id="pageprev" name="pageprev" src="/static/images/arrow_prev.gif"/>
     <img id="pagenext" name="pagenext" src="/static/images/arrow_next.gif"/>
     <img id="pagelast" name="pagelast" src="/static/images/arrow_last.gif"/>
    </td>
   </tr>
  </table>

  </div>
  </div>
  </div>
  </div>
  </div>
<?python
    noItemsText = _('There are no items to be displayed') 
    sort_column = ""
    sort_col_list = []
    for col in fliplistControl.columns:
        if hasattr(col,'sorted'):
            if col.sorted == True:
                sort_col_list.append(col.name)
    if len(sort_col_list) == 1:
        sort_column = sort_col_list[0]
  ?>
  <!-- now the actual ajax fun begins. fetch the contents dynamically from the server -->
  <script>
  image1 = new Image();
  image1.src = "/static/images/arrow-up.gif";
  image2 = new Image();
  image2.src = "/static/images/arrow-down.gif";
  initializeNoItemsText (${repr(noItemsText)});
  initializeCreateRequestObjErr (${repr(fliplistControl.createRequestObjErr)});
  initializeDeleteConfirmationMsg (${repr(fliplistControl.deleteConfirmationMsg)});
  initializeXmlErr (${repr(fliplistControl.xmlErr)});
  initializeSortArrows (${repr(sort_column)});
  registerFliplistEvents ();
  createRequestObject ();
  fetchFlipListContents ();
  setFlipListMaxEntries (${len(fliplistControl.entryList)});
  initializeEventConfirmation (${eventconfirmation_js_array});
  </script>

 </div>

</html>
