<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
 <!-- kid utility page to display the sub navigation bar
 -->
<div py:def="renderNavBarGroup ()" class="subnav">
   <!-- renderNavBarGroup (): This function renders the sub-navigation bar, by locating the current URL in the 
       page group of the ISP's dashboard xml
       TODO: make this generic for all levels (AA/RA/SA/UA)

       To keep the renderNavBarGroup () function simple, it takes no arguments :)
       It picks up the current URL from the request object, and it tries to locate the object within the 
       dashboard xml file. It then renders the sub-navigation bar with all the siblings that are present inside
       the dashboard xml.
  -->

  <?python
   # Load the appropriate dashboard xml. TODO: make this generic for all levels
   import cherrypy
   currentskin = cherrypy.session['skin']
   curenttitle = None

   import eplglobals
   import lib.xmlutils
   subnavbar = lib.xmlutils.ParseXML (StaticResource(SubnavbarFile()))
   #dashboard = lib.xmlutils.ParseXML (StaticResource(DashboardFile()))

   # Determine the current URL
   currentURL = relativeUrl ()

   # now find the section that contains a link matching currentURL

   # first list all the sections
   sections = subnavbar.findall ('section')
   try:
        mylen = int(subnavbar.find('truncate-subnav-after').text)
   except:
        #import traceback; traceback.print_exc()
        mylen = 18

   section = None

   for s in sections:
       if section: break
       items = s.findall ('item')
      
       #if an item has proenabled child node then check if the license is actually pro. If not then
       #that item should not be displayed on the subnavbar
       filteredItemList = []
       for item in items:
           if item.find('proenabled') != None:
               if isPro() == "True":
                   filteredItemList.append(item)
           elif item.find('basicenabled') != None:
               if isPro() == "False":
                   filteredItemList.append(item)
           else:
               filteredItemList.append(item) 
      
       debug( "filtered list : %s"%filteredItemList )
       items = filteredItemList
       
       #if current role is siteuser then items should be a list of item tags whose service is enabled for the user.
       if eplapiCurrentUser().role == 'siteuser':
           itemList = []
           user_enabled_services = LoggedInUser().site.user_enabled_services
           for item in items:
               service = item.find('service').text
               #if service in LoggedInUser().site.user_enabled_services:
               if service in user_enabled_services:
                   itemList.append(item)
               elif service == None:
                   itemList.append(item)
               
                    
           items = itemList  

       #if current role is siteadmin then items should be a list of item tags whose service is enabled for that siteadmin.
       if eplapiCurrentUser().role == 'siteadmin':
           itemList = []
           siteadmin_enabled_services = eplapiCurrentUser().enabled_services
           for item in items:
               service = item.find('service').text
               if service in siteadmin_enabled_services:
                   itemList.append(item)
               elif service == None:
                   itemList.append(item)
                               
           items = itemList

       
       for item in items:
           linktext = item.find ('link').text
           if linktext == currentURL:
               section = s
               break

           subitems = item.findall('subitem')
           for subitem in subitems:
               sublink = subitem.find('link').text
               if sublink == currentURL:
                   section = s
                   break

   if section:
        debug( "I did find section to display" )
        # set up some other variables. TODO: be prepared for a malformed dashboard
        section_image_url = section.find ('image').text

        section_items = section.findall ('item')
        # 'section_items' is the list of items that will be displayed 

        #if an item has proenabled child node then check if the license is actually pro. If not then
        #that item should not be displayed on the subnavbar
        sectionFilteredItemList = []
        for item in section_items:
            if item.find('proenabled') != None:
                if isPro() == "True":
                    sectionFilteredItemList.append(item)
            elif item.find('basicenabled') != None:
                if isPro() == "False":
                    sectionFilteredItemList.append(item)
            else:
                sectionFilteredItemList.append(item)

        section_items = sectionFilteredItemList        

        #if current role is siteuser then items should be a list of item tags whose service is enabled for the user.
        if eplapiCurrentUser().role == 'siteuser':
            user_enabled_services = LoggedInUser().site.user_enabled_services
            itemList = []
            for item in section_items:
                service = item.find('service').text
                if service in user_enabled_services:
                    itemList.append(item)
                elif service == None:
                    itemList.append(item)


            section_items = itemList
            
        #if current role is siteadmin then items should be a list of item tags whose service is enabled for that siteadmin.
        if eplapiCurrentUser().role == 'siteadmin':
            itemList = []
            siteadmin_enabled_services = eplapiCurrentUser().enabled_services
            for item in section_items:
                srv = item.findall('service')
                cnt = 0
                for s in srv:
                    if s.text in siteadmin_enabled_services:
                        cnt = cnt + 1
                    elif s.text == None:
                        cnt = cnt + 1
                if cnt == 1:
                    itemList.append(item)
                
            section_items = itemList
        
        mydisplay_items = []
        full_display = []

        # One of the links that we display in the subnav, is a special link, and that is the URL of the page
        # being currently visited. This needs to get a better z-order preference, so that it appears active

        itemattrs_dict = {}
        active_item_flag = 0 
        for item in section_items:
            active_item_flag = 0 
            linktxt = item.find('link').text
            if linktxt == currentURL:
               active_item = item 
               itemattrs_dict[linktxt] = { 'class': 'subnav-link-active' }
               active_item_flag = 1
            else:
               itemattrs_dict[linktxt] = {}

               subitems = item.findall('subitem')
               if len(subitems) > 0:
                   for subitem in subitems:
                      sublinktxt = subitem.find('link').text
                      # If match was not found empty dict had been assigned already
                      if sublinktxt == currentURL:
                          active_item = subitem
                          itemattrs_dict[linktxt] = { 'class': 'subnav-link-active' }
                          active_item_flag = 1
               else:
                   itemattrs_dict[linktxt] = {}
            disp_item = item.find('display')
            full_display.append( _(disp_item.text))
            if not active_item_flag:
                display_txt = _(disp_item.text)
                if (len(display_txt) > mylen ):
                    disp_item.text = display_txt.decode('utf-8')[0:(mylen - 3 )].encode('utf-8') + ' ...'
                else:
                    disp_item = item.find('display')
            else:
                currenttitle = _(disp_item.text)
            
            mydisplay_items.append(_(disp_item.text))

        num_section_items = len (section_items)
   else:
        debug( "No Section/Item in %s Matching CurrentURL:%s"%(SubnavbarFile(),currentURL))
        debug( "YOUR SUB NAVIGATION BAR ITEMS CAN NOT BE DISPLAYED")
        section_image_url = ""
        section_items = []
        iteamattrs_dict = {}
        num_section_items = 0

  ?>
  <div py:if="currentskin == 'reloaded'">
  
  <div class="subnav-title">
  ${currenttitle}
  </div>
  <!-- and now render the help icon -->
  <div class="subnav-help" py:if="section">
   <?python
    link = '/help/' + OHLanguage() + '/' + HelpRole() + '/' + (active_item.find('help')).text
   ?>
   <a href='javascript: helpwin = window.open("$link","helpWindow","resizable=yes,scrollbars=yes,height=275,width=400"); helpwin.focus();'><img src="/static/images/help.gif"/></a>
  </div>

  <table width='100%'>
  <tr>
  <td class='subnav-spacer-left'><img src='/static/images/blank.gif' width='10' height='1' /></td>
  <!-- now iterate over the various images and display them -->
  <td class="subnav-item" py:for="i in range (0,num_section_items)">
  <table py:if="currenttitle == mydisplay_items[i]">
  <tr>
  <td class='subnav-on-left'><img src='/static/images/blank.gif' width='2' height='2' /></td>
  <td class='subnav-on'><a href="${(section_items[i].find('link')).text}" title="${full_display[i]}">${full_display[i]}</a></td>
  <td class='subnav-on-right'><img src='/static/images/blank.gif' width='2' height='2' /></td>
  </tr>
  </table>
  <table py:if="currenttitle != mydisplay_items[i]">
  <tr>
  <td class='subnav-off-left'><img src='/static/images/blank.gif' width='2' height='2' /></td>
  <td class='subnav-off'><a href="${(section_items[i].find('link')).text}" title="${full_display[i]}">${full_display[i]}</a></td>
  <td class='subnav-off-right'><img src='/static/images/blank.gif' width='2' height='2' /></td>
  </tr>
  </table>
  </td>
  <td class='subnav-spacer-right'><img src='/static/images/blank.gif' width='10' height='1' /></td>
  </tr>
  </table>

  </div>
  <div py:if="currentskin != 'reloaded'">
  <script src="/static/js/subnav.js" charset="utf-8" type="text/javascript">
  </script>

  <div class="subnav-section-head" py:if="section">
   <!-- first render the compressed image -->
   <img class="subnav-section-head" src="${section_image_url}"></img>
  </div>

  <!-- now iterate over the various images and display them -->
  <div class="subnav-item" py:for="i in range (0,num_section_items)" py:attrs="{'style': 'left:-%spx' % (i*10)}">
  <a href="${(section_items[i].find('link')).text}" title="${full_display[i]}" py:attrs="itemattrs_dict[(section_items[i].find('link')).text]">${mydisplay_items[i]}</a>
  </div>

  <!-- and now render the help icon -->
  <div class="subnav-help" py:if="section">
   <?python
    link = '/help/' + OHLanguage() + '/' + HelpRole() + '/' + (active_item.find('help')).text
   ?>
   <a href='javascript: helpwin = window.open("$link","helpWindow","resizable=yes,scrollbars=yes,height=275,width=400"); helpwin.focus();'><img src="/static/images/help.gif"/></a>
  </div>
  </div>
 </div>
</html>
