<html py:extends="'validate_js.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
  
  <!-- Include the validate.js javascript -->
  <script py:attrs="{'src':'static/js/functions.js'}"/>
  ${validate_js_function()}
  <script py:def="initialize_validators(config)" py:for="key, value in config.items()">
    <?python
    fieldname = repr(value.field_dict["name"])
    con = "'None'"
    if value.field_dict.has_key('js_constraints'):
        constraints = value.field_dict["js_constraints"]
    else:
        constraints = value.field_dict["constraints"]
    if constraints:
        #New     :  ( (pat,(PrimaryFlag,SecondaryFlag)), errmsg ) 
        #Old     :  (pat,errmsg) =>  ( (pat,('M',)), errmsg )   #special case of New.
        #Ancient :   pat =>  ( (pat,('M',)), 'A Fixed ErrMsg' ) #special case of New.
        #legacy and deprecated
        if isinstance (constraints, str): #we got a "Ancient" case.
            fixed_errmsg = _('Parameter validation failed')
            #1)We turn it into a "New" type 
            #2)Pack it into a List(That's how we pass 'New' ones).
            constraints =  [ ( (constraints,('M',) ),fixed_errmsg ) ]
        #At this point all constraints should be a list.     
        assert isinstance (constraints, list)
        lconstraints = []
        for constraint in constraints:
            (constraint,errmsg ) =  constraint
            if type(constraint) == str :  #we got a "Old" case.
                constraint = ( constraint,('M',) )
            pat,flags =  constraint
            if r'\x' in repr(pat): continue #causes problems for "kid"
            delimit = "'"   
            if 'M' in flags : delimit = '/' #For RegExp Object 	  
            #Build JavaScript Array of constraints. 
            #A0 ~= Array('P','S') =~ Array of flags ( P=Primary,S=Secondary)
            exp_js_flags_array  = "new Array(%s)" % ( ','.join( [ "'%s'" % flag  for flag in flags ] )  )
            #A1 ~= Array(pattern,A0)
            exp_js_constraint_array = "new Array(%s%s%s,%s)" % (delimit,pat,delimit,exp_js_flags_array) 
            #A2 ~= Array(A1,ErrMsg) ~= constraint 
            exp_js_cnstrt_msg_array = "new Array(%s,'%s')" % (exp_js_constraint_array,errmsg)
            lconstraints.append(exp_js_cnstrt_msg_array)
        #Array of constraints.
        con = "new Array(%s)" % ','.join(lconstraints)
        #info(con) 
    if value.field_type == "IntVal":
        fieldtype= "'int'"
    elif value.field_type == "FloatVal":
            fieldtype= "'float'"
    elif value.field_type == "ListVal":
            fieldtype= "'list'"
    else:
        fieldtype = "'None'"
    
    maximum = repr(value.field_dict["Max"])
    minimum = repr(value.field_dict["Min"])
    # minimum/ maximum values are digits. If the the type is long, the the repr contains an 'L'.
    # Need to remove this 'L' as javascript does not understand it.
    minimum = minimum.strip('L')
    maximum = maximum.strip('L')

    if value.field_dict["name"] == None: fieldname = repr(fieldname)
    if value.field_dict["constraints"] == None: con = "'None'"
    if value.field_dict["Min"] == None: minimum = repr(minimum)
    if value.field_dict["Max"] == None: maximum = repr(maximum)

    # get the display name
    displayname = repr(value.field_dict['Label'] or value.field_dict.get('name', ''))

    if (value.field_dict["req"]):
        mandatory = 1
    else:
        mandatory = 0
    if "password1" in value.field_dict:
        password1 = repr(value.field_dict["password1"])
    else:
        password1 = "'None'"
    
        
    func='initializevalidators(%s,%s,%s,%s,%s,%s,%s,%s)' % (fieldname,mandatory,con,minimum,maximum,displayname,password1,fieldtype);
    constraintErr_mandatory = repr(" is a mandatory field.")
    ?>
    $func
  </script> 

</html>
