<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<div py:def="validate_js_function()">

<script>
<?python
    
    validateJsString = '''
    // validators is an associative array holding the field object containing validating constraints.
    var validators = new Array();

    var elementName;


    // Start: Validator functions

    // validate_mandatory_constraint: 
    // Validate the value of the field to be not empty, null. 
    function validate_mandatory_constraint(element) {
        var ret = null;
        if (element.value == "") {
            return validators[element.name]["displayname"] + "%(mandatoryErr)s";
        }    
        return ret;
    }
    

   //check_constraints & apply_constraints uses the same logic so have a look on both the function while changing other 
    function check_constraints(element,constraints) {
         var rv = null ;         
         for (var i in constraints) {
            var pat  = constraints[i][0][0] ;
            var flags  = constraints[i][0][1] ;
            var errmsg  = constraints[i][1] ;
            var value  = element;
            rv = start_validation(value,pat,flags,errmsg) ;
	    if (rv) { 
		return rv ; 
            }
        }
        return rv;
        return "%(ReErr)s" + validators[element.name]["displayname"] + ": " + rv;
    }

    //Begin validation.        
    function apply_constraints(element, constraints) {
         var rv = null ;         
         for (var i in constraints) {
            var pat  = constraints[i][0][0] ;
            var flags  = constraints[i][0][1] ;
            var errmsg  = constraints[i][1] ;
            var value  = element.value ;
            rv = start_validation(value,pat,flags,errmsg) ;
	    if (rv) { 
		return "%(ReErr)s" + validators[element.name]["displayname"] + ": " + rv ; 
            }
        }
        return rv
        return "%(ReErr)s" + validators[element.name]["displayname"] + ": " + rv;
    }
    
    //Extract Flags and  Branch to appropriate functions.
    function start_validation(value,pat,flags,errmsg) {
               
        var primaries = "MBEC" ;
        var secondaries =  "N" ;
        var primary = 'M' ;
        var secondary = null ;
        for ( var i in flags ){
            var idx = primaries.indexOf(flags[i]) ;
            if (idx != -1){
                primary = flags[i] ;
                //print ("primary:",primary)
                break ;
            }
        }
        for ( var i in flags ){
            var idx = secondaries.indexOf(flags[i]) ;
            if (idx != -1){
                secondary = flags[i] ;
                //print ("secondary:",secondary)
                break ;
            }
        }
        if (  !  validField(value,pat,primary,secondary ) ) {
            //print (errmsg)
            return  errmsg ;
        }

    }

    function validField (value,pat,primary,secondary) {
        var valid = false  ;  
        if  ( primary == 'M'){
            valid = regexMatch(value,pat) ;   
        }else if  ( primary == 'B'){
            valid = startsWith(value,pat)  ; 
        }else if  ( primary == 'E'){
            valid = endsWith(value,pat)   ;
        }else if  ( primary == 'C'){
            valid = contains(value,pat)   ;
        }
        if ( secondary == 'N' ) {
            valid = ! valid ;
        }
        //print ("valid:",valid)
        return valid  ;
    }
    
    //targets read value ~= Field value
    function regexMatch(value,pat) {
        //print ("calling regexMatch()")
        if ( value.match(pat) ){ 
            return true ;
        }
        else {
            return false ;
        }
    
    }

    function startsWith(value,pat) {
        //print ("calling startsWith()")
        var idx = value.indexOf(pat) ;
        if (idx == 0) {
            return true ;
        }
        else {
            return false ;
        }
    }

    function endsWith(value,pat) {
        //print ("calling endsWith()")
        var idx = value.indexOf(pat) ;
        return  value.lastIndexOf(pat)  == ( value.length -  pat.length )  ;
    }

    function contains(value,pat) {
        //print ("calling contains()")
        var idx = value.indexOf(pat) ;
        if (idx != -1) {
            return true ;
        }
        else {
            return false ;
        }
    }

    //TBD: No more used ,could be removed. 
    // validate_re_constraint: 
    // Verify that the value of the field matches the regular expression
    // constraint provided for the field . 
    function validate_re_constraint(element, rexpstring) {
        var ret = null;
        var cnt = 0;
        for (i in rexpstring)
        {
            if(element.value.match(rexpstring[cnt][0][0]))
            {
            
            }
            else
            {
                return "%(ReErr)s" + validators[element.name]["displayname"] + ": " + rexpstring[cnt][1];
            }
            cnt = cnt + 1;
        }
        return ret;
    }

    // validate_min_constraint: 
    // Verify that the value of the field is greater than the minimum value
    // constraint provided for the field . 
    function validate_min_constraint(element, minimum) {
        var ret = null;
        if (compare(element.value.length, Number(minimum)) == 1) {
            return "%(minErr1)s" + validators[element.name]["displayname"] + "%(minErr2)s" + minimum
        }    
        return ret;
    }


    // validate_max_constraint: 
    // Verify that the value of the field is less than the maximum value
    // constraint provided for the field . 
    function validate_max_constraint(element, maximum) {
        var ret = null;
        if (compare(element.value.length, Number(maximum)) == -1) {
            return "%(maxErr1)s" + validators[element.name]["displayname"] + "%(maxErr2)s" + maximum;
        }    
        return ret;
    }


    function validate_password_constraint(element, password1) {
        var ret = null;
        //alert(element.value);
        //alert(password1);
        if (element.value != password1) {
            //alert("no match");
            return "%(pwdErr)s";
        }
        //alert("matched");
        return ret;
    }

    function validate_integer_constraint(element, min, max) {
        var ret = null;
        if(compare(Number(element.value), Number(min)) == 1) {
            return "%(intErr1)s" + validators[element.name]["displayname"] + "%(intErr2)s" + min;
        }
        if(compare(Number(element.value), Number(max)) == -1) {
            return "%(intErr3)s" + validators[element.name]["displayname"] + "%(intErr4)s" + max;
        }
        return ret;
    }

    var string_length_err_msg1 = "%(maxErr1)s";
    var string_length_err_msg2 = "%(maxErr2)s";
    var string_length_err_msg3 = "%(maxErr3)s";
    
    // End: Validator functions 

    ''' % { "mandatoryErr":_(" is mandatory field"), 
            "ReErr":_("Error in "),
            "minErr1":_("The length of "),
            "minErr2":_(" cannot be less than "),
            "maxErr1":_("The length of "),
            "maxErr2":_(" cannot be greater than "),
            "maxErr3":_(" The length of each substring in "),
            "pwdErr":_("The two passwords do not match."),
            "intErr1":_("The value of "),
            "intErr2":_(" cannot be less than "),
            "intErr3":_("The value of "),
            "intErr4":_(" cannot be greater than ") }
   
?>
 $validateJsString
 </script>
 <script src="/static/js/functions.js">// </script>
</div>
</html>
