<html py:extends="'../common/validate.kid','../svc_configs/misc_plan.kid','../svc_configs/dns.kid','../svc_configs/aliases.kid','../svc_configs/monitor.kid','../svc_configs/syslimits.kid','../svc_configs/webserver.kid','../svc_configs/subdomain.kid','../svc_configs/fileman.kid','../svc_configs/mailaccessprotocol.kid','../svc_configs/mail.kid','../svc_configs/webemail.kid','../svc_configs/mailscanner.kid','../svc_configs/rlogin.kid','../svc_configs/filetransfer.kid','../svc_configs/database.kid','../svc_configs/reseller.kid','../svc_configs/powertools.kid','../svc_configs/ecommerce.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head>
 <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>Add Plan</lang></title>
</head>

<body>

 <!-- Include the validate.js javascript -->
 ${validate_js_function()}

 <?python
   import kidpages.common.actionlog
   import kidpages.common.subnav
   #assigning template instance to subnavtmpl for subnav module
   subnavtmpl = kidglobals (kidpages.common.subnav)
   #assigning tempalte instance to actionlogtmpl for actionlog module
   actionlogtmpl = kidglobals ( kidpages.common.actionlog )
 ?>
 
 <!-- Initialize the validators -->
 ${initialize_validators(config)}

 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>
 
 <div id="div:validationerrors" class="validationerrors">
 </div>
 
<div class="cool-green-box">
<div><div><div>
 <form method="post" action="doaddPlan" name="addplan" accept-charset="utf-8">
 <p class="form-title-section">
  <span class="form-title-text"><lang>ADD SERVICE PLAN</lang></span>
  <span class="form-help-text"><b><lang>Note:</lang></b></span>
  <span class="tab-1"><lang>1. Input fields will automatically be converted into lower case.</lang></span>
  <br/><span class="tab-1"><lang>2. IP based plans are available to IP based sites only, likewise for Name Based plans.</lang></span>
  <br/><span class="tab-1"><lang>3. Default plan is available to both.</lang></span>
 </p>
 <table border='0' width='50%' align='center'>
 <th rowspan="1" colspan="2">
   <span class="float-right">
    ${renderfield(config['plan_name'], 'SELECT',onchange="javascript:document.addplan.action='/isp/addPlan';document.addplan.submit()")}
   </span>
   <lang>Step 1: Configure Plan</lang>
  </th>
 ${insert_misc_configuration(config,extra)}
 ${insert_dns_configuration(config)}
 ${insert_alias_configuration(config)}
 ${insert_monitor_configuration(config)}
 ${insert_syslimits_configuration(config)}
 ${insert_webserver_configuration(config)}
 ${insert_subdomain_configuration(config)}
 ${insert_ecommerce_configuration(config)}
 ${insert_fileman_configuration(config)}
 ${insert_mailsccessprotocol_configuration(config)}
 ${insert_mail_configuration(config)}
 ${insert_webemail_configuration(config)}
 ${insert_mailscanner_configuration(config)}
 ${insert_rlogin_configuration(config)}
 ${insert_filetransfer_configuration(config)}
 ${insert_databases_configuration(config)}
 ${insert_reseller_configuration(config)}
 ${insert_powertools_configuration(config)}
  <th rowspan="1" colspan="2"><lang>Step 3: Save Plan</lang></th>
  <tr>
    <td> <input type="radio" name="overWritePlan" value="0" onClick="addplan.new_plan.focus()"/><lang>Save as a new Plan</lang></td>
    <td> <input type="text" name="new_plan"/></td>
   </tr>
   <tr>
    <td> <input type="radio" name="overWritePlan" value="1" onClick="addplan.exist_plan.focus()" checked="true"/><lang>Save as an existing Plan </lang></td>
    <td> ${renderfield(config['plan_name'], 'SELECT',name='exist_plan')} </td>
  </tr>
  <tr>
   <td align="center" colspan="2" rowspan="1" class="button-container">
    <input id="createplan" name="createplan" value="${_('Save')}" type="submit" class="button" /> 
    <input value="${_('Reset')}" type="reset" class="button" />
    <input type="hidden" name="planhidden" value="createplan"/>
   </td>
  </tr>
  </table>
</form> 
</div></div></div>
</div>
</body>

<!-- Register the events to validate the fields on submit -->
<script charset="utf-8" type="text/javascript">
 registerIDN("apache_webserver:proftpd_ftpserver:sendmail_mailserver:mysql_dbaseprefix");
 registerIDN_domainList("aliases_aliases");
 registerValidationEvents ();
</script>                   

</html>
