<html  py:extends="'../common/validate.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <head>
  <title><lang>Add Reseller</lang></title>
  <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 </head>

<?python
import eplglobals
import kidpages.common.actionlog
import kidpages.common.subnav
#assigning template instance to variable subnavtmpl for subnav module
subnavtmpl = kidglobals (kidpages.common.subnav)
#assigning template instance to variable actionlogtmpl for acionlog module
actionlogtmpl = kidglobals ( kidpages.common.actionlog )

units_value = 'MB'
for opt in config['units'].options:
   if opt.field_dict['selected']:
	units_value = opt.field_dict['value']

require_jailed = (config['require_jailed_telnet'].field_dict['checked'] and \
           config['require_jailed_ssh'].field_dict['checked'] and config['require_jailed_apache'].field_dict['checked'])
require_jailed_value = (config['require_jailed_telnet'].field_dict['value'] and \
                        config['require_jailed_ssh'].field_dict['value'] and \
                        config['require_jailed_apache'].field_dict['value'])
?>

<!-- Include the validate.js javascript -->
    ${validate_js_function()}

<!-- Initialize the validators -->
    ${initialize_validators(config)}

<div py:replace="subnavtmpl.renderNavBarGroup ()"/>
<div py:replace="actionlogtmpl.renderActionLog ()"/>
<!-- the validation errors div -->
<div id="div:validationerrors" class="validationerrors">
</div>

<div class="cool-green-box">
<div><div><div>

 <form method="post" action ="/isp/services/reseller/doaddreseller" name="add_reseller" accept-charset="utf-8">
    <p class="form-title-section">
        <span class="form-title-text"><lang>Add Reseller</lang></span>
    </p>
 
 <table>
 <tbody>
     <tr>
       <td><lang>Username</lang></td>
       <td><input type="text" name="username" case="lower" py:attrs="{'maxlength' : config['username'].field_dict['Max'],'min' : config['username'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Fullname</lang></td>
       <td><input type="text" name="fullname" py:attrs="{'max' : config['fullname'].field_dict['Max'],'min' : config['fullname'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Password</lang></td>
       <td><input type="password" name="password" py:attrs="{'max' :config['password'].field_dict['Max'],'min' : config['password'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Confirm Password</lang></td>
       <td><input type="password" name="password2" py:attrs="{'max' :config['password2'].field_dict['Max'],'min' : config['password2'].field_dict['Min'],'password1':config['password2'].field_dict['password1']}" />
       <input type="hidden" name="enabled_diskquota" py:attrs="{'value' : config['enabled_diskquota'].field_dict['value']}" />   
       <input type="hidden" name="enabled_bandwidth" py:attrs="{'value' : config['enabled_bandwidth'].field_dict['value']}" />   
       <input type="hidden" name="enabled_users" py:attrs="{'value' : config['enabled_users'].field_dict['value']}" />   
       <input type="hidden" name="enabled_ipinfo_nb" py:attrs="{'value' : config['enabled_ipinfo_nb'].field_dict['value']}" />   
       <input type="hidden" name="enabled_ipinfo_ip" py:attrs="{'value' : config['enabled_ipinfo_ip'].field_dict['value']}" />   
       <input type="hidden" name="units" py:attrs="{'value' : units_value}" />   
       </td>
     </tr>
     <tr>
       <td><lang>Enabled</lang></td>   
       <td>
       <p py:if="config['enabled'].field_dict['checked']">
       <input type="checkbox" name="enabled" py:attrs="{'value':config['enabled'].field_dict['value'], 'checked' : config['enabled'].field_dict['checked']}" />
       </p>
       <p py:if="not config['enabled'].field_dict['checked']">
       <input type="checkbox" name="enabled" py:attrs="{'value':config['enabled'].field_dict['value']}" />
       </p >
       </td>
     </tr>
     <tr>
       <td><lang>Email</lang></td>
       <td><input type="text" id="email" name="email" case="lower" py:attrs="{'max' :config['email'].field_dict['Max'],'min' : config['email'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Allocated Disk Quota (MB)</lang></td>
       <td><input type="text" name="total_quota" py:attrs="{'max' : eplglobals.fromByte(config['total_quota'].field_dict['Max'],units_value),'min' : config['total_quota'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Max Users</lang></td>
       <td><input type="text" name="total_maxusers" py:attrs="{'max' :config['total_maxusers'].field_dict['Max'],'min' : config['total_maxusers'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Allocated Bandwidth Threshold (MB)</lang></td>
       <td><input type="text" name="total_threshold" py:attrs="{'max' : eplglobals.fromByte(config['total_threshold'].field_dict['Max'],units_value),'min' : config['total_threshold'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>IP Based Sites</lang></td>
       <td><input type="text" name="total_ipbased" py:attrs="{'max' :config['total_ipbased'].field_dict['Max'],'min' : config['total_ipbased'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Name Based Sites</lang></td>
       <td><input type="text" name="total_namebased" py:attrs="{'max' :config['total_namebased'].field_dict['Max'],'min' : config['total_namebased'].field_dict['Min']}" /></td>
     </tr>
     <tr>
       <td><lang>Allow High Security Sites Only</lang></td>   
       <td>
       <p py:if="bool(require_jailed)">
       <input type="checkbox" name="require_jailed" py:attrs="{'value': require_jailed_value , 'checked' : require_jailed}" />
       </p>
       <p py:if="not bool(require_jailed)">
       <input type="checkbox" name="require_jailed" py:attrs="{'value': require_jailed_value}" />
       </p >
       </td>
     </tr>
     <tr>
       <td><lang>Enable Zone Management</lang></td>
       <td>
         <?python
           #print "zone management dict : ", config['zone_mgmt'].field_dict
         ?>
           <input type="checkbox" name="enabled_zone_mgmt" py:attrs="{'value':config['enabled_zone_mgmt'].field_dict['value']}" />
       </td>
     </tr>
     <tr>
      <td colspan="2" class="button-container">
        <input id="addreseller" name="addreseller" value="${_('Save')}" type="submit" class="button" />
        <input type="button" id="cancel" name="cancel" class="button" value="${_('Cancel')}" onClick="window.location='/isp/services/reseller/listresellers'"/>
      </td>
     </tr>
  </tbody>
  </table>
  </form>
</div></div></div>
</div>
  
<script charset="utf-8" type="text/javascript">
    registerIDN("email");
    registerValidationEvents ();
</script>
</html>
