<html py:extends="'../../common/validate.kid', '../../common/renderfield.kid'" 
    xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
    
<?python
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  import kidpages.common.actionlog
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<head>
    <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
    <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
    <title>$title</title>

    <SCRIPT LANGUAGE="JavaScript">
        <?python
        if config['schedule'].options[0].field_dict['checked']==True:
            old_schedule = config['schedule'].options[0].field_dict['value']
        else:
            old_schedule = config['schedule'].options[1].field_dict['value']
        ?>
        var old_schdl = "${old_schedule}"
        function showRows()
        {        
            row1_obj = document.getElementById("row1");
            row2_obj = document.getElementById("row2");
            row1_obj.style.display = '';
            row2_obj.style.display = '';
            
            if (old_schdl == 'simple')
            {
                document.forms[0].minutes.value = '*';
                document.forms[0].hours.value = '*';
                document.forms[0].days.value = '*';
                document.forms[0].months.value = '*';
                document.forms[0].weekdays.value = '*';                                
            }
        }
        function hideRows()
        {
            row1_obj = document.getElementById("row1");
            row2_obj = document.getElementById("row2");
            row1_obj.style.display = 'none';
            row2_obj.style.display = 'none';
        }
    </SCRIPT>
    
</head>

<body>
    <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
    <div py:replace="actionlogtmpl.renderActionLog ()"/>
    
    <!-- call validate_js_function -->
    ${validate_js_function()}
    
    <!-- Initialize the validators -->
    ${initialize_validators(config)}

    <!-- the validation errors div -->
    <div id="div:validationerrors" class="validationerrors">
    </div>

    <div class="cool-green-box">
    <div><div><div>
    <form method="post" action="${action}" accept-charset="utf-8">
    <p class="form-title-section">
    <span class="form-title-text">$title</span>
    <span class="form-help-text"><b><lang>Note:</lang></b></span>
    <span class="tab-1"><lang>In the Advanced schedule, if you select the option that begins with 'Every' for any of the time fields, then the other selected options for that field will be ignored.</lang></span> 
    </p>
    <table>
        <tr><td colspan="5"></td></tr>
        <tr>
            <td width="20%"><lang>Command</lang></td>
            <td colspan="4">${renderfield(config['command'], 'TEXT', size="60")}</td>
        </tr>
        <tr>
            <td width="20%"><lang>Description</lang></td>
            <td colspan="4">${renderfield(config['description'], 'TEXT', size="60")}</td>
        </tr> 
        <tr>
            <td><lang>Schedule</lang></td>
            <td py:if="action=='doaddCronjob'" colspan="4">
                <input checked="True" type="radio" name="schedule" value="simple" onClick="hideRows()"/><lang>Simple</lang>
                ${renderfield(config['frequency'], 'SELECT')}
            </td>
            <td py:if="action=='doeditCronjob'" colspan="4">
                <?python
                enabled = config['enabled'].field_dict['value']
                old_cron_entry = config['cron_entry'].field_dict['value']
                ?>                
                <input py:if="old_schedule=='simple'" type="radio" name="schedule" value="simple" onClick="hideRows()" checked="True"/>
                <input py:if="old_schedule!='simple'" type="radio" name="schedule" value="simple" onClick="hideRows()"/>
                <lang>Simple</lang>
                ${renderfield(config['frequency'], 'SELECT')}
            </td>
        </tr>
        <tr>
            <td></td>
            <td py:if="action=='doaddCronjob'" colspan="4">
                <input type="radio" name="schedule" value="advanced" onClick="showRows()"/><lang>Advanced</lang>
            </td>
            <td py:if="action=='doeditCronjob'" colspan="4">
                <input py:if="old_schedule=='advanced'" type="radio" name="schedule" value="advanced" onClick="showRows()" checked="True" />
                <input py:if="old_schedule!='advanced'" type="radio" name="schedule" value="advanced" onClick="showRows()"/>
                <lang>Advanced</lang>
            </td>
        </tr>
        <?python
            if old_schedule=="simple":
                row1_style = "display:none"
                row2_style = "display:none"
            elif old_schedule=='advanced':
                row1_style = "display:''"
                row2_style = "display:''"
        ?>
        <tr id="row1" name="row1" py:attrs="{'style':row1_style}"> 
            <td width="20%"><b><lang>Minutes</lang></b></td>
            <td width="20%"><b><lang>Hours</lang></b></td>
            <td width="20%"><b><lang>Days</lang></b></td>
            <td width="20%"><b><lang>Months</lang></b></td>
            <td width="20%"><b><lang>Weekdays</lang></b></td>
        </tr>
        <tr id="row2" name="row2" py:attrs="{'style':row2_style}">
            <td valign="top">${renderfield(config['minutes'], 'MULTISELECT', size="13")}</td>
            <td valign="top">${renderfield(config['hours'], 'MULTISELECT', size="13")}</td>
            <td valign="top">${renderfield(config['days'], 'MULTISELECT', size="13")}</td>
            <td valign="top">${renderfield(config['months'], 'MULTISELECT', size="13")}</td>
            <td valign="top">${renderfield(config['weekdays'], 'MULTISELECT', size="8")}</td>
        </tr>
        <tr>
            <td class="button-container" align="center" colspan="5" rowspan="1">
            <input class="button" type="submit" id="save"   name="save"   value="${button_name}" />
            <input class="button" type="reset"  id="reset"  name="reset"  value="${_('Reset')}"  />
            <input class="button" type="button" id="cancel" name="cancel" value="${_('Cancel')}" onClick="window.location='/isp/crontab/listCronjobs'"/>
            <input py:if="action=='doeditCronjob'" type="hidden" name="old_cron_entry" value="${old_cron_entry}" />
            <input py:if="action=='doeditCronjob'" type="hidden" name="enabled" value="${enabled}" />
            </td>
        </tr>
    </table>
    </form>
    <script charset="utf-8" type="text/javascript">
        registerValidationEvents ();
    </script>
    </div></div></div>
    </div>
</body>

</html>
