<html py:extends="'../common/validate.kid','../svc_configs/misc_plan.kid','../svc_configs/dns.kid','../svc_configs/aliases.kid','../svc_configs/monitor.kid','../svc_configs/syslimits.kid','../svc_configs/webserver.kid','../svc_configs/subdomain.kid','../svc_configs/fileman.kid','../svc_configs/mailaccessprotocol.kid','../svc_configs/mail.kid','../svc_configs/webemail.kid','../svc_configs/mailscanner.kid','../svc_configs/rlogin.kid','../svc_configs/filetransfer.kid','../svc_configs/database.kid','../svc_configs/reseller.kid','../svc_configs/powertools.kid','../svc_configs/ecommerce.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head>
 <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>Add Plan</lang></title>
</head>

<body>

 <!-- Include the validate.js javascript -->
 ${validate_js_function()}

 <?python
   import kidpages.common.actionlog
   import kidpages.common.subnav
   subnavtmpl = kidglobals (kidpages.common.subnav)
   actionlogtmpl = kidglobals ( kidpages.common.actionlog )
   display_planname = extra['plan_name']
 ?>
 
 <!-- Initialize the validators -->
 ${initialize_validators(config)}

 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>
 
 <div id="div:validationerrors" class="validationerrors">
 </div>
 
<div class="cool-green-box">
<div><div><div>
 <form method="post" action="doeditPlan" name="updateplan" accept-charset="utf-8">
 <p class="form-title-section">
  <span class="form-title-text"><lang>EDIT PLAN : </lang>[ $display_planname ]</span>
  <span class="form-help-text"><b><lang>Note:</lang></b></span>
  <span class="tab-1"><lang>1. Input fields will automatically be converted into lower case.</lang></span>
  <br/><span class="tab-1"><lang>2. IP based plans are available to IP based sites only, likewise for Name Based plans.</lang></span>
  <br/><span class="tab-1"><lang>3. Default plan is available to both.</lang></span>
 </p>
 <table border='0' width='50%' align='center'>
 <th rowspan="1" colspan="2"> <lang>Step 1: Configure Plan</lang> </th>
 ${insert_misc_configuration(config,extra)}
 ${insert_dns_configuration(config)}
 ${insert_alias_configuration(config)}
 ${insert_monitor_configuration(config)}
 ${insert_syslimits_configuration(config)}
 ${insert_webserver_configuration(config)}
 ${insert_subdomain_configuration(config)}
 ${insert_ecommerce_configuration(config)}
 ${insert_fileman_configuration(config)}
 ${insert_mailsccessprotocol_configuration(config)}
 ${insert_mail_configuration(config)}
 ${insert_webemail_configuration(config)}
 ${insert_mailscanner_configuration(config)}
 ${insert_rlogin_configuration(config)}
 ${insert_filetransfer_configuration(config)}
 ${insert_databases_configuration(config)}
 ${insert_reseller_configuration(config)}
 ${insert_powertools_configuration(config)}
  <th rowspan="1" colspan="2"><lang>Step 3: Save Plan</lang></th>
  <tr>
   <td align="center" colspan="2" rowspan="1" class="button-container">
    <input id="editplan" name="editplan" value="${_('Update Plan')}" type="submit" class="button" /> 
    <input value="${_('Reset')}" type="reset" class="button" />
    <input type="button" id="cancel" name="cancel" class="button" value="${_('Cancel')}" onClick="window.location='/reseller/listplans'"/>
    <input type="hidden" name="plan_name" py:attrs="{'value':extra['plan_name']}"/>
   </td>
  </tr>
  </table>
</form> 
</div></div></div>
</div>
</body>

<!-- Register the events to validate the fields on submit -->
<script charset="utf-8" type="text/javascript">
 registerIDN("apache_webserver:proftpd_ftpserver:sendmail_mailserver:mysql_dbaseprefix");
 registerIDN_domainList("aliases_aliases");
 registerValidationEvents ();
</script>                   

</html>
