<html py:extends="'../../../svc_configs/common.kid','../../../common/validate.kid','../../../common/renderfield.kid'"
      xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
 <head>
  <title><lang>File Manager</lang></title>
  <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 </head>
 
 <?python
   import kidpages.common.subnav
   #assigning template instance of variable subnavtmpl for subnav module
   subnavtmpl = kidglobals (kidpages.common.subnav)
   import kidpages.common.actionlog
   #assigning template instance of variable actionlogtmpl for actionlog module
   actionlogtmpl = kidglobals (kidpages.common.actionlog)
   renamemsg = _('The new name cannot be empty!')
   newnamediffmsg = _('New name should be different!')
   invalidcharsmsg = _('New name contains invalid characters!')
 ?>
 
 <script language="javascript">
    function check_rename(msg, msg2, msg3){
        if(document.dorename.newname.value=='')
        {
            alert(msg);
            return false;
        }

        oldname = document.getElementById("filename").value.split('/');
        if(oldname[oldname.length - 1] == document.dorename.newname.value)
        {
            alert(msg2);
            return false;
        }

        if(!document.dorename.newname.value.match(/^[^//]*$/))
        {
            alert(msg3);
            return false;

        }
            
        return true;
        
    }

 </script>
 
 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>
 <!-- Include the validate.js javascript -->
 ${validate_js_function()}
  <!-- Initialize the validators -->
 ${initialize_validators(config)}
 <div id="div:validationerrors" class="validationerrors">
 </div>
 

 <div class="cool-green-box">
  <div><div><div>
    <p class="form-title-section">
     <span py:if="fileinfo['type'] == 'Directory'" class="form-title-text"><lang>Directory</lang>
      <span class="inline-text-display">: ${fileinfo['path']}</span>
     </span>
     <span py:if="fileinfo['type'] == 'File'" class="form-title-text"><lang>File</lang>
      <span class="inline-text-display">: ${fileinfo['name']}</span>
     </span> 
     <span py:if="fileinfo['type'] == 'Symbolic Link'" class="form-title-text"><lang>Symbolic Link</lang>
      <span class="inline-text-display">: ${fileinfo['name']}</span>
     </span> 
    </p>
    <form accept-charset="utf-8" method="post" action="dopermit">
    <input type="hidden" name="curdir" value="${fileinfo['cwd']}"/>   
    <input type="hidden" name="filename" value="${fileinfo['path']}"/>
    <table width="100%">
    <tbody>
     <tr>
      <th colspan="3" rowspan="1"><lang>Properties</lang></th>
     </tr>
     <tr py:if="fileinfo['type']!='Directory'">
      <td colspan="3"><b><lang>Path to current directory</lang></b>: ${fileinfo['cwd']}</td>
     </tr>
     <tr py:if="fileinfo.has_key('linkto')">
      <td colspan="3"><b><lang>Link To</lang></b>: ${fileinfo['linkto']}</td>
     </tr>
     <tr py:if="fileinfo.has_key('brokenlink')">
      <td colspan="3"><b><lang>Broken Link To</lang></b>: ${fileinfo['brokenlink']}</td>
     </tr>
     <tr>
      <td><b><lang>Owner</lang></b>: ${fileinfo['owner']}</td>
      <td><b><lang>Group</lang></b>: ${fileinfo['group']}</td> 
      <td> </td>
     </tr>
     <tr>
      <td><b><lang>Size</lang></b>: ${fileinfo['size']} bytes</td>
      <td><b><lang>Last Modified</lang></b>: ${fileinfo['modified']}</td>
      <td> </td>
     </tr>
     <tr>
      <th colspan="3" rowspan="1"><lang>Permissions</lang></th>
     </tr>
    
    <tr>
      <td><b><lang>Owner</lang></b></td>
      <td><b><lang>Group</lang></b></td>
      <td><b><lang>Others</lang></b></td>
     </tr>
    
    <tr>
      <td>${renderfield(config['owner_rd'], 'BOOLCHECKBOX')}<lang>Read</lang></td>
      <td>${renderfield(config['group_rd'], 'BOOLCHECKBOX')}<lang>Read</lang></td>
      <td>${renderfield(config['other_rd'], 'BOOLCHECKBOX')}<lang>Read</lang></td>
     </tr>
     <tr>
      <td>${renderfield(config['owner_wr'], 'BOOLCHECKBOX')}<lang>Write</lang></td>
      <td>${renderfield(config['group_wr'], 'BOOLCHECKBOX')}<lang>Write</lang></td>
      <td>${renderfield(config['other_wr'], 'BOOLCHECKBOX')}<lang>Write</lang></td>
     </tr>
     <tr>
      <td>${renderfield(config['owner_ex'], 'BOOLCHECKBOX')}<lang>Execute</lang></td>
      <td>${renderfield(config['group_ex'], 'BOOLCHECKBOX')}<lang>Execute</lang></td>
      <td>${renderfield(config['other_ex'], 'BOOLCHECKBOX')}<lang>Execute</lang></td>
     </tr>
     <tr>
      <th colspan="3" rowspan="1"><lang>Commands</lang></th>
     </tr>
     <tr>
      <td class="button-container" align="left" rowspan="1" colspan="3">
       <input class="button" id="update" value="${_('Update Permissions')}" type="submit"/>
       <input class="button" id="reset" type="reset" value="${_('Reset Permissions')}" />
      </td>
     </tr>
     </tbody>
     </table>
     </form>
     
     <?python
      import eplapi
      username = eplapiCurrentUser().username
     ?>
     
    <form accept-charset="utf-8" method="post" name="dorename" action="dorename" py:if="fileinfo['owner'] == username or fileinfo['group'] == username">
     <input type="hidden" name="curdir" value="${fileinfo['cwd']}"/>   
     <input type="hidden" id="filename" name="filename" value="${fileinfo['path']}"/>
     <table width="100%">
     <tbody>
      <tr>
       <td>
        <lang>Rename to</lang>
        ${renderfield(config['newname'], 'TEXT')}
        <input class="button" name="rename" value="${_('Rename')}" type="submit"
        onclick="javascript: return check_rename('${renamemsg}', '${newnamediffmsg}', '${invalidcharsmsg}');"/>
       </td>
      </tr>
     </tbody>
     </table>
    </form>
    
    <form>
     <table width="100%">
     <tbody>
     <tr>
       <th colspan="3" rowspan="1"><lang>Navigation</lang></th>
     </tr>    
     <tr>
      <td><lang>Back to: </lang><a href="/siteadmin/services/files/index?curdir=${fileinfo['cwd']}">${fileinfo['cwd']}</a>
      </td>
     </tr>
     </tbody>
     </table>
    </form> 
   <!-- Register the events to validate the fields on submit -->
   <script charset="utf-8" type="text/javascript">
    registerValidationEvents ();
   </script>
  </div></div></div>
 </div>
</html>
