<html py:extends="'../../../svc_configs/common.kid','../../../common/validate.kid','../../../common/renderfield.kid'"
      xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<?python
 import kidpages.common.fliplist
 #assigning template instance of variable fliplisttmpl for fliplist module
 fliplisttmpl = kidglobals (kidpages.common.fliplist)
 from lib.datamodel.datatypes import Entry, EntryList, EntryView, EntryListView
 from lib.datamodel.controls import FlipList, Column

 filelist = FlipList (title=list_title)
 filelist.entryList = EntryList ( Entry, display_data)
 filelist.columns = column_list
 filelist.entryListView = EntryListView (entryview, filelist.entryList)
 filelist.viewName = display_view

 # we need to display the actionlog status
 import kidpages.common.actionlog
 #assigning template instance of variable actionlogtmpl for actionlog module
 actionlogtmpl = kidglobals (kidpages.common.actionlog)
 chkfliplistmsg = _('Please select files first!')
 addclipboardmsg = _('Select files by clicking on the checkboxes and then click on the adjacent button to add to the clipboard.')
 deletemsg = _('Select files or directories by clicking on the checkboxes and then click on the adjacent button to delete them. If you wish to delete a directory, check the [force] checkbox. this is equivalent to [rm -r] in unix.')
 makedirmsg = _('Enter the name of a directory to create.')
 uploadmsg = _('Click Browse and select the file you want to upload to the server.')
 saveasmsg = _('Enter the name that the file should be saved as.')
 notemptymsg =  _('The name of the file to save can not be empty!')
 notselected = _('The name of the file to upload can not be empty!')
?>

<head>
 <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>File Hierarchy</lang></title>
 <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/xmldom.js" charset="utf-8" type="text/javascript">
 </script>
</head>
<body>

<?python
  import kidpages.common.subnav
  #assigning template instance of variable aubnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
?>

<div py:replace="subnavtmpl.renderNavBarGroup ()"/>
<div py:replace="actionlogtmpl.renderActionLog ()"/>
  
 <!-- Include the validate.js javascript -->
 ${validate_js_function()} 
 
 <!-- Initialize the validators -->
    ${initialize_validators(config)}
 
<div id="div:validationerrors" class="validationerrors">
</div>

<script language="javascript">
    function check_selected(msg){
        inputCol = document.getElementById("fliplist").getElementsByTagName("input");
        for(i=0;i!=inputCol.length;i++)
        {
            if(inputCol[i].type.toUpperCase()=="CHECKBOX")
            {
                if(inputCol[i].checked)
                {
                    return true;
                }
            }
        }
        alert(msg);
        return false;
    }

    function check_clipboardselected(msg){
        inputCol = document.getElementById("clipboard").getElementsByTagName("input");
        for(i=0;i!=inputCol.length;i++)
        {
            if(inputCol[i].type.toUpperCase()=="CHECKBOX")
            {
                if(inputCol[i].checked)
                {
                    return true;
                }
            }
        }
        alert(msg);
        return false;
    }

    function check_saveas_empty(msgSaveas, msgUpload){
         if(document.getElementById("myFile").value=='')
         {
             alert(msgUpload);
             return false;
         }
         if(document.getElementById("saveas").value=='')
         {
             alert(msgSaveas);
             return false;
         }
         return true;
    }
    
    function display_msg(msg){
        alert(msg);
    }

</script>

<!-- <body> -->
<?python
 links = curdir.split('/')
 links[0] = '/'
 hrefs = {}
 hrefs['/'] = '/'
 prevhref = ''
 for i in links[1:]:
    hrefs[i] = prevhref + '/' + i
    prevhref = hrefs[i]

?>
<div class="cool-green-box">

<p class="form-title-section"> 
 <span class="form-title-text"><lang>Path to current directory:</lang>
  <span py:for="seq in links">
   <a href="/siteadmin/services/files/index?curdir=${hrefs[seq]}">
    <span class="inline-text-display">$seq</span>
   </a>
  </span>
 </span>
 <span class="form-help-text"><lang>Click the directory name to access the directory</lang></span>
 <span class="form-help-text"><lang>Click the file name to download the file</lang></span>
 <span class="form-help-text"><lang>Click a folder or file icon to view/change related properties</lang></span>
</p>

</div>

<form accept-charset="utf-8" name="commands" method="post" action="doactions">
 <input type="hidden" name="curdir" value="${curdir}"/>   
 <div py:replace="fliplisttmpl.renderFlipList (filelist)"/>
 <br/> 
 <div class="trans-box-container">
 <div class="form-title-text"><lang>Commands</lang></div>
 <table border="1">
  <tbody>
   <tr>
    <td>
     <img valign="middle" border="0" src="/static/images/addclip.gif" onclick='javascript: return display_msg("${addclipboardmsg}")'/>
     <input class="button" name="add" value="${_('Add Files to Clipboard')}" type="submit" onclick="javascript: return check_selected('${chkfliplistmsg}');"/>
    </td>
   </tr>
   <tr>
    <td>
     <img valign="middle" border="0" src="/static/images/file-delete-icon.gif" onclick='javascript: return display_msg("${deletemsg}")'/>
     <input class="button" name="delete" value="${_('Delete Files')}" type="submit" onclick="javascript: return check_selected('${chkfliplistmsg}');"/>
     <lang>force</lang>
     <input name="force" value="Yes" type="checkbox"/>
    </td>
   </tr>
   <tr>
    <td>
     <img valign="middle" border="0" src="/static/images/folder-new-icon.gif" onclick="javascript:
     return display_msg('${makedirmsg}')"/>
     ${renderfield(config['dirname'], 'TEXT')}  
     <input class="button" id="mkdir" name="mkdir" value="${_('Make Directory')}" type="submit"/>
    </td>
   </tr> 
  </tbody>
 </table>
 </div>
</form>

 <form accept-charset="utf-8" name="clipboard" method="post" action="doclipboardactions" py:if="clipfilelist">
  <div class="trans-box-container">
  <input type="hidden" name="curdir" value="${curdir}"/>   
   <p class="form-title-section"> 
      <p class="form-title-text"><lang>Clipboard Contents</lang></p>
      <p class="form-help-text"><lang>Files that are added to the clipboard can be copied or moved to the currently displayed directory.</lang></p>
   </p>
  <table border="0" id="clipboard">
   <tbody>
    <tr py:for="fn in clipfilelist">
     <td>
      <input name="${fn}" value = "checked" type="checkbox"/>
      ${fn}
     </td>
    </tr>
    <tr>
     <td class="button-container">
      <input class="button" name="copy" value="${_('Copy')}" type="submit" 
      onclick="javascript: return check_clipboardselected('${chkfliplistmsg}');"/>
      <lang>or</lang>
      <input class="button" name="move" value="${_('Move')}" type="submit"
      onclick="javascript: return check_clipboardselected('${chkfliplistmsg}');"/>
      <lang>selected items to this directory</lang>,<lang>or</lang>
      <input class="button" name="clear" value="${_('Clear')}" type="submit"
      onclick="javascript: return check_clipboardselected('${chkfliplistmsg}');"/>
      <lang>from clipboard</lang>
     </td>
    </tr> 
   </tbody>
  </table>
  </div>
 </form>

 <!-- If admin has write access-->
 <form accept-charset="utf-8" name="upload" method="post" action="upload" enctype="multipart/form-data" py:if="owner">
  <div class="trans-box-container">
  <input type="hidden" name="curdir" value="${curdir}"/>   
  <div class="form-title-text"><lang>Upload File to </lang>${curdir}</div>
  <table border="1" id="upload">
   <tbody>
    <tr>
     <td>
      <img valign="middle" border="0" src="/static/images/file-upload.gif" onclick="javascript:
      return display_msg('${uploadmsg}')"/>
      <lang>Upload file</lang>
      <input class="button" name="myFile" id="myFile" type="file" size="40" value="${_('Browse')}..."/>
     </td> 
    </tr>
    <tr>
     <td>
      <img valign="middle" border="0" src="/static/images/file-save-icon.gif" onclick="javascript:
      return display_msg('${saveasmsg}')"/>
      <lang>And save as</lang>
      <input name="saveas" id="saveas" type="text" size="20"/>
      <input class="button" type="submit" value="${_('Upload')}" onclick="javascript : return
      check_saveas_empty('${notemptymsg}','${notselected}');"/>
     </td>
    </tr> 
   </tbody> 
  </table> 
  </div>
 </form>  

</body>

<script charset="utf-8" type="text/javascript">
     registerValidationEvents ();
</script>

</html>
