<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:func="http://exslt.org/functions"
    extension-element-prefixes="func"
>

<xsl:output method="xml" indent="yes" />

<!-- This is the ISP Administrator's MOTD XSL
     The ISP Administrator's MOTD will be passed to this -->

<xsl:template match="/">
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
   <link href="/static/css/isp.global.css" type="text/css" rel="stylesheet" />
  </head>
  
  <body>
   <xsl:if test="/motd/isCallHomeFailed/text() = 1">
    <tr>
        <td class="isp-dashboard-title">
             <div><xsl:value-of select="epl:_('Ensim Pro was unable to contact the Ensim License
             Server during the last attempt. Ensure that you are connected to the network and that
             your firewall configuration is not blocking access to the Ensim License Server.')"/></div>
        </td>
    </tr>
   </xsl:if>
   <xsl:if test="/motd/isUnderGracePeriod/text() = 1">
    <tr>
        <td class="isp-dashboard-title">
             <div><xsl:value-of select="epl:_('Ensim Pro has been unable to contact the Ensim
             License Server and is currently running in grace period. Ensure that you are connected
             to the network and that your firewall configuration is not blocking access to the Ensim
             License Server.')"/></div>
        </td>
    </tr>
   </xsl:if>
   <xsl:if test="/motd/enabled/text() = 0 and 
               /motd/child::node()[name() = 'entry'] and 
               /motd/isUnderGracePeriod/text() = 0 and 
               /motd/isCallHomeFailed/text() = 0"> 
       <td class="isp-dashboard-title">
       <div> <xsl:value-of select="/motd/entry/title/text()"/></div>
       </td>
   </xsl:if>
  </body>
 </html>
</xsl:template>

</xsl:stylesheet>
