<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: isp.top.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: isp.top.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:31:50  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

-->
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:epl="http://www.ensim.com/epl50"
    exclude-result-prefixes="fn math sets"
>

<!-- the server administrator's top bar xsl 
     It refers the isp's topbar xml which is a string representation of the xml and not a file.
-->

<xsl:output method="xml" indent="yes" />

<xsl:template match="/topbar/appliancetop">

<html>
 <head>
  <link href="/static/css/isp.global.css" rel="stylesheet" type="text/css"/>
  <link rel="icon" href="/favicon.ico" type="image/x-icon" />
  <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
 </head>

 <body id="topbarFrm">
  <img src="/isp/logo.gif" align="left" class="isp-logo"/> 

  <table cellspacing="0" cellpadding="0" class="server-info-section">
   <tr>
    <td>	
     <table cellspacing="0" cellpadding="0" class="server-info">
      <tr>
       <th>&nbsp;&raquo; <xsl:value-of select="epl:_('Server Administrator')"/></th>
      </tr>
			
      <tr>
       <td><span><xsl:value-of select="epl:_('Host Name')"/>:&nbsp;</span><xsl:value-of select="server_name"/></td>
      </tr>
			
      <tr>
       <td><span><xsl:value-of select="epl:_('IP Address')"/>:&nbsp;</span><xsl:value-of select="server_ip"/></td>
      </tr>
			
      <tr>
       <td><span><xsl:value-of select="epl:_('Domains Hosted')"/>:&nbsp;</span> <xsl:value-of select="domain_count"/></td>
      </tr>
     </table>
    </td>
	
    <td> 
     <table border="0" cellspacing="0" cellpadding="0"  class="server-stats">
      <tr>
       <th>&nbsp;&raquo; <xsl:value-of select="epl:_('Server Statistics')"/></th>
      </tr>
			
      <tr>
       <!-- Calculates the diskquota usage in percentage to display it on the bar which represents this usage -->
       <td>
        <xsl:variable name="disk_usage_perc" select="floor (disk_used div disk_total * 100)"/>
	<div class="disk-info"><div class="disk-usage-bar" style="width:{$disk_usage_perc}%">&nbsp;</div>
         <div class="disk-usage-text"><xsl:value-of select="$disk_usage_perc"/><xsl:value-of select="epl:_('% used')"/></div>
        </div>
       </td>
      </tr>
			
      <tr>
       <!-- Displays actual amounts of used diskquota and total diskquota -->
       <td><xsl:value-of select="disk_used"/> / <xsl:value-of select="disk_total"/><span><xsl:value-of select="epl:_('MB Used')"/></span></td>
      </tr>
			
      <tr>
       <!-- Converts the uptime from seconds to days, hrs, mins format -->
       <td><span><xsl:value-of select="epl:_('Up Time')"/>:&nbsp;</span>
        <xsl:variable name="uptime" select="uptime"/>
	<xsl:variable name="days" select="floor($uptime div 86400)"/>
        <xsl:value-of select="$days"/><xsl:value-of select="epl:_('Days')"/>&nbsp;
	<xsl:variable name="hrs" select="floor($uptime mod 86400 div 3600)"/>
        <xsl:value-of select="$hrs"/><xsl:value-of select="epl:_('Hrs')"/>&nbsp;
        <xsl:variable name="mins" select="floor($uptime mod 3600 div 60)"/>
        <xsl:value-of select="$mins"/><xsl:value-of select="epl:_('Mins')"/>
       </td>
      </tr>
     </table>
    </td>
    <td style="vertical-align: middle;"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
   </tr>
  </table>
 </body>
</html>

</xsl:template>
</xsl:stylesheet>
