<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: reseller.top.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: reseller.top.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:31:50  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

    Revision 1.8.4.4  2007/03/28 10:36:11  rsinha
    Fixing PR#1084383

    Revision 1.8.4.3  2007/02/06 04:38:18  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.8.4.2  2006/11/09 10:55:58  msahni
    Formula for calculation of uptime minutes was incorrect.

    Revision 1.8.4.1  2006/10/18 09:49:10  msahni
    Fix for PR#1084101 : Removing style attribute and putting the styling information in the css.

    Revision 1.8.2.2  2006/11/09 12:15:35  skathalkar
    PR# 1084262: Control panel Uptime not sync with server uptime

    Revision 1.8.2.1  2006/11/09 10:40:44  msahni
    Formula for calculation of uptime minutes was incorrect.

    Revision 1.8  2006/05/18 10:19:38  msahani
    localization changes.

    Revision 1.7  2006/04/13 15:24:24  agore
    upload logo done

    Revision 1.6  2006/04/04 09:49:11  msahani
    enabling localization of displayed strings.

    Revision 1.5  2006/03/08 12:02:28  msahani
    *** empty log message ***

    Revision 1.4  2006/03/06 11:38:14  msahani
    In case the total values of bandwidth and diskspace are 0, N/A should be displayed.

    Revision 1.3  2006/02/28 05:27:35  msahani
    Handled usage bar display problem.

    Revision 1.2  2006/02/09 11:45:53  msahani
    Removed lang tags and replaced them with _() function for internationalization.

    Revision 1.1  2006/02/07 13:37:49  msahani
    Removed all occurance of epleval and optimized the xsls.

-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:saxon="http://icl.com/saxon"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    exclude-result-prefixes="fn math sets saxon epl"
>

<!-- the reseller's top bar xsl -->

<xsl:output method="xml" indent="yes" />

<!-- 
     This xsl refers the Reseller topbar xml (static/xml/reseller.topbar.xml)  
     Displays the information about the reseller such as username, diskspace used, uptime and so on
-->

<xsl:template match="/">
<html>
 <head>
  <link href="/static/css/reseller.global.css" rel="stylesheet" type="text/css"/>
 </head>

 <body id="topbarFrm">
  <img src="/reseller/logo.gif" align="left" class="isp-logo"/>
    
  <table cellspacing="0" cellpadding="0" class="server-info-section">
   <tr>
    <td>
     <table cellspacing="0" cellpadding="0" class="server-info">
      <tr>
       <th>&nbsp;&raquo; <xsl:value-of select="epl:_('Reseller')"/></th>
      </tr>
                    
      <tr>
       <td>
        <span><xsl:value-of select="epl:_('User Name')"/>:&nbsp;</span>
        <xsl:value-of select="topbar/reseller/properties/username"/>
       </td>
      </tr>
                    
      <tr>
       <td>
        <span><xsl:value-of select="epl:_('Host Name')"/>:&nbsp;</span>
        <xsl:value-of select="topbar/reseller/properties/server_name"/>
       </td>
      </tr>
                    
      <tr>
       <td>
        <span><xsl:value-of select="epl:_('IP Address')"/>:&nbsp;</span>
        <xsl:value-of select="topbar/reseller/properties/server_ip"/>
       </td>
      </tr>
     </table>
    </td>
            
    <td>
     <table border="0" cellspacing="0" cellpadding="0"  class="server-stats">
      <tr>
       <th>&nbsp;&raquo; <xsl:value-of select="epl:_('Server Statistics')"/></th>
      </tr>
                    
      <tr>
       <td>
        <!-- Calculates the diskquota usage in percentage to display it on the bar which
         represents this usage -->
        <xsl:variable name="diskquota_used" select="/topbar/reseller/statistics/diskquota_used" />
        <xsl:variable name="diskquota_total" select="/topbar/reseller/statistics/diskquota_total" />
        <xsl:variable name="disk_usage_perc" select="floor ($diskquota_used div $diskquota_total * 100)"/>
        <xsl:choose>
         <xsl:when test="$diskquota_total = 0">
          <p class="no-data-text"><xsl:value-of select="epl:_('N/A')"/></p>
         </xsl:when>
         <xsl:otherwise> 
          <div class="disk-info">
           <xsl:choose>
            <xsl:when test="$disk_usage_perc &gt; 100">
             <div class="disk-usage-bar" style="width:100%">&nbsp;</div>
             <div class="disk-usage-text">100%<xsl:value-of select="epl:_(' used')"/></div>
            </xsl:when>
            <xsl:otherwise>
             <div class="disk-usage-bar" style="width:{$disk_usage_perc}%">&nbsp;</div>
             <div class="disk-usage-text"><xsl:value-of select="$disk_usage_perc"/>%<xsl:value-of select="epl:_(' used')"/></div>
            </xsl:otherwise>
           </xsl:choose>
          </div>
         </xsl:otherwise>
        </xsl:choose>
       </td>
      </tr>
                    
      <tr>
       <td>
        <!-- Displays actual amounts of used diskquota and total diskquota -->
        <xsl:value-of name="diskquota_used" select="/topbar/reseller/statistics/diskquota_used" />
        /
        <xsl:variable name="diskquota_total" select="/topbar/reseller/statistics/diskquota_total" />
        <xsl:choose>
          <xsl:when test="$diskquota_total = 0">
            <xsl:value-of select="epl:_('Unlimited')"/>
          </xsl:when>
          <xsl:otherwise> 
            <xsl:value-of name="diskquota_total" select="/topbar/reseller/statistics/diskquota_total"/><xsl:value-of select="epl:_('MB Used')"/>
          </xsl:otherwise>
        </xsl:choose>
       </td>
      </tr>
                    
      <tr>
       <!-- Converts the uptime from seconds to days, hrs, mins format -->
       <td><span><xsl:value-of select="epl:_('Up Time')"/>:&nbsp;</span>
        <xsl:variable name="uptime" select="/topbar/reseller/properties/uptime"/>	
	<xsl:variable name="days" select="floor($uptime div 86400)"/>
	<xsl:value-of select="$days"/><xsl:value-of select="epl:_('Days')"/>&nbsp;
	<xsl:variable name="hrs" select="floor($uptime mod 86400 div 3600)"/>
	<xsl:value-of select="$hrs"/><xsl:value-of select="epl:_('Hrs')"/>&nbsp;
	<xsl:variable name="mins" select="floor($uptime mod 3600 div 60)"/>
	<xsl:value-of select="$mins"/><xsl:value-of select="epl:_('Mins')"/>
       </td>
      </tr>
     </table>
    </td>
    <td style="vertical-align: middle;"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
   </tr>
  </table>
 </body>
</html>
</xsl:template>
</xsl:stylesheet>


                                
