<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: siteadmin.top.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: siteadmin.top.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:31:50  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

    Revision 1.9  2006/05/18 10:18:54  msahani
    displaying punycoded domain name below the idn representation.

    Revision 1.8  2006/05/16 05:56:35  skodre
    removed garbage character from the topbar.

    Revision 1.7  2006/04/17 06:49:35  agore
    to set logo src path

    Revision 1.6  2006/04/04 13:23:26  msahani
    *** empty log message ***

    Revision 1.5  2006/04/04 09:49:12  msahani
    enabling localization of displayed strings.

    Revision 1.4  2006/04/03 11:39:38  msahani
    Showing punycode equivalent domain name on the topbar.

    Revision 1.3  2006/03/07 06:55:34  msahani
    removed lang tags and replaced with _() function.

    Revision 1.2  2006/02/14 10:51:48  msahani
    A class was needed for the logo image.

    Revision 1.1  2006/02/07 16:15:24  arvindd
    Changing names of XSL to be consistent with cookie names and URLs

    Revision 1.6  2006/02/07 13:38:51  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<!DOCTYPE xsl:stylesheet [    
    <!ENTITY nbsp "&#160;">    
    <!ENTITY raquo "&#187;">
]>

<xsl:stylesheet version="1.0" 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
        xmlns:str="http://exslt.org/strings" 
        xmlns:tgt="http://www.w3.org/1999/xhtml" 
        xmlns:epl="http://www.ensim.com/epl50" 
        xmlns:saxon="http://icl.com/saxon" 
        extension-element-prefixes="epl saxon" 
        exclude-result-prefixes="saxon epl">
  
<xsl:output method="xml" indent="yes" />
    
  <!-- XSL for Site's topbar.
       Refers site's topbar xml file, static/xml/site.top.xml.
  -->
  
<xsl:template match="/">
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <link href="/static/css/site.global.css" rel="stylesheet" type="text/css"/>
  </head>
  <body id="topbarFrm">
   <img src="/siteadmin/logo.gif" align="left" class="isp-logo"/>
   <table cellspacing="0" cellpadding="0" class="server-info-section">
    <tr>
     <td>
      <table border="0" cellspacing="0" cellpadding="0" class="server-info">
       <tr>
        <th> &raquo; <xsl:value-of select="epl:_('Site Administrator')"/></th>
       </tr>
        
       <tr>
        <td><span><xsl:value-of select="epl:_('Web Server Name')"/>: </span>
         <xsl:variable name="idn_webserver" select="epl:idn(string(topbar/site/properties/apache/webserver))"/>
         <xsl:value-of select="$idn_webserver"/>
         <xsl:if test="$idn_webserver != topbar/site/properties/apache/webserver">
          <br/>
          (<xsl:value-of select="topbar/site/properties/apache/webserver"/>)
         </xsl:if>         
        </td>
       </tr>
        
       <tr>
        <td><span><xsl:value-of select="epl:_('Mail Server Name')"/>: </span>
         <xsl:variable name="idn_mailserver" select="epl:idn(string(topbar/site/properties/sendmail/mailserver))"/>
         <xsl:value-of select="$idn_mailserver"/>
         <xsl:if test="$idn_mailserver != topbar/site/properties/sendmail/mailserver">
          <br/> 
          (<xsl:value-of select="topbar/site/properties/sendmail/mailserver"/>)
         </xsl:if>
        </td>
       </tr>
        
       <tr>
        <td><span><xsl:value-of select="epl:_('FTP Server Name')"/>: </span>
         <xsl:variable name="idn_ftpserver" select="epl:idn(string(topbar/site/properties/proftpd/ftpserver))"/>
         <xsl:value-of select="$idn_ftpserver"/>
         <xsl:if test="$idn_ftpserver != topbar/site/properties/proftpd/ftpserver">
          <br/> 
          (<xsl:value-of select="topbar/site/properties/proftpd/ftpserver"/>)
         </xsl:if>
        </td>
       </tr>
      </table>
     </td>
   
     <td>
      <table border="0" cellspacing="0" cellpadding="0"  class="server-stats">
       <tr>
        <th>&raquo; <xsl:value-of select="epl:_('Site Details')"/></th>
       </tr>
           
       <tr>
        <!-- The ip address will be picked up from the namebased node if site is created as
        namebased site otherwise form ipaddrs/item nodeset.--> 
        <td><span><xsl:value-of select="epl:_('IP Address')"/>: </span>
         <xsl:variable name="namebased" select="topbar/site/properties/ipinfo/namebased"/>
         <xsl:if test="$namebased = 1">
          <xsl:value-of select="topbar/site/properties/ipinfo/nbaddrs/item"/>
	 </xsl:if>
	 <xsl:if test="$namebased = 0">
	  <xsl:value-of select="topbar/site/properties/ipinfo/ipaddrs/item"/>
	 </xsl:if>
        </td>
       </tr>
          
       <tr>
        <td><span><xsl:value-of select="epl:_('Site Administrator')"/>: </span>
         <xsl:value-of select="topbar/site/properties/siteinfo/admin_user"/>
	</td>
       </tr>
      </table>
     </td>
     <td style="vertical-align: middle;"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
    </tr>
   </table>
  </body>
 </html>
</xsl:template>
</xsl:stylesheet>
