<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: siteuser.main.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: siteuser.main.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:31:50  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

    Revision 1.6.4.5.2.6  2007/05/11 13:38:10  smore
    Removing <img> tag implementation.

    Revision 1.6.4.5.2.5  2007/05/09 14:17:24  smore
    FINALLY, going back to original <img> tag implementation. The cache related headers are set by server, and not handled
    by browser now.

    Revision 1.6.4.5.2.4  2007/05/02 12:50:45  smore
    Removing <img> tag implementation of Tracking pro.

    Revision 1.6.4.5.2.3  2007/04/27 05:05:40  smore
    Reverting back to old <img> method.

    Revision 1.6.4.5.2.2  2007/04/21 14:30:04  smore
    Removing older Tracking pro code

    Revision 1.6.4.5.2.1  2007/04/11 13:11:20  smore
    As 11.0.0 is changed to 10.3.0

    Revision 1.6.4.5  2007/03/29 06:06:58  smore
    Set up image width and height.

    Revision 1.6.4.4  2007/03/28 14:05:29  smore
    Updating the TrackPro server urls

    Revision 1.6.4.3  2007/02/16 08:53:29  smore
    Defining isTrackingPro flag globally. Accordingly img tag will be inserted into the main page at each level.

    Revision 1.6.4.2  2007/02/16 05:55:15  smore
    First check in for Tracking pro. Please note that more modifications are still expected.

    Revision 1.6.4.1  2007/02/06 04:38:18  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.6.2.1  2006/11/17 07:39:57  skathalkar
    PR:1084304 10.1.0::FC6::RTQA2::UA:: Only showing "View User Information" link under Home page at User Admin Level. service node was not available in the context it was used inside xsl-when. With the current change variable is initialised at the top.

    Revision 1.6  2006/05/07 07:02:42  msahani
    localization changes

    Revision 1.5  2006/04/12 13:14:10  mansoor
    XSL stylesheets need to stringify the XML nodes before calling the epl:_ localizer function

    Revision 1.4  2006/04/04 09:49:12  msahani
    enabling localization of displayed strings.

    Revision 1.3  2006/03/17 14:40:19  msahani
    Corrected problem of empty section display on dashboard.

    Revision 1.2  2006/03/10 07:16:09  msahani
    *** empty log message ***

    Revision 1.1  2006/03/09 11:09:32  msahani
    changes made for hiding links of services that are disabled for a particular user.

    Revision 1.1  2006/02/07 16:19:48  arvindd
    Changing names of XSL to be consistent with cookie names and URLs

    Revision 1.3  2006/02/07 13:47:39  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:func="http://exslt.org/functions"
    extension-element-prefixes="func"
>

<xsl:output method="xml" indent="yes" />

<!-- This is the Site Users Dashboard XSL
     The Site Users Dashboard ($frontend/static/xml/user.dashboard.xml) will be passed to this
-->

<!-- This function gets an item node and checks if that node is to be displayed on the dashboard or
not. For this it checks if the service of that item is enabled or not. If no service node is present
or if service node is empty then it displays the item.
-->
<func:function name="func:isItemDisplayable">
 <xsl:param name="item_node"/>
 <xsl:variable name="service" select="$item_node/service/text()"/>
 <xsl:choose>
  <xsl:when test="./child::node()[name() = 'service'] and ./service/text()">
    <xsl:choose>
     <xsl:when test="/userdashboard/enabledservices/child::node()[name() = $service]">
      <func:result select="true()"/>
    </xsl:when>
    <xsl:otherwise>
     <func:result select="false()"/>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
   <func:result select="true()"/> 
  </xsl:otherwise>
 </xsl:choose>
</func:function>
<!-- This iterates over each item node in the current select and calls isItemDisplayable() function
for each item.
-->
<xsl:key name="displayItem" match="item" use="func:isItemDisplayable(.)"/>

<!-- This function checks if a section is to be displayed on the dashboard. A section has to be
displayed if there is even one item under it which is displayable.
-->
<func:function name="func:isSectionDisplayable">
 <xsl:param name="section_node"/>
 <xsl:choose>
  <xsl:when test="count(key('displayItem','true')[../caption/text() = $section_node/caption/text()]) = 0">
   <func:result select="false()"/>
  </xsl:when>
  <xsl:otherwise>
   <func:result select="true()"/>
  </xsl:otherwise>
 </xsl:choose>
</func:function>



<xsl:template match="/">
 <xsl:variable name="user_dashboard_title" select="/userdashboard/title/text()"/>
 <xsl:variable name="num_columns" select="/userdashboard/columns/text()"/>
 <xsl:variable name="num_sections" select="count (/userdashboard/section)"/>

 <!-- note: the `round' function rounds off the floating point number -->
 <xsl:variable name="num_rows" select="round ($num_sections div $num_columns)"/>

 <!-- see http://www.xml.com/pub/a/2001/05/07/xsltmath.html for some xsl math functions -->
 <xsl:variable name="section_width" select="floor (100 div $num_columns)"/>
 <xsl:variable name="section_height" select="floor (100 div $num_rows)"/>

 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
   <link href="/static/css/user.global.css" type="text/css" rel="stylesheet" />
   <title><xsl:value-of select="epl:_(string(/userdashboard/title/text()))"/></title>
  </head>

  <body>
   <table class="isp-dashboard" cellspacing="0">
    <tr>
     <td colspan="{$num_columns}" class="isp-dashboard-title"><div><xsl:value-of select="epl:_(string(/userdashboard/title/text()))"/></div></td>
    </tr>
    <xsl:for-each select="/userdashboard/section[(not(dashboard-invisible)) and (func:isSectionDisplayable(.) = 'true')]">
     <xsl:if test="(position() mod $num_columns) = 1">
      <!-- record the 1-based position of this element -->
      <tr>
       <xsl:for-each select=". | ./following-sibling::node()[(name() = 'section') and (func:isSectionDisplayable(.) = 'true')][position() &lt; $num_columns]">
        <td width="{$section_width}%" height="{$section_height}%">

         <!-- one table per section -->
         <table width="100%" height="100%"  cellspacing="0">

          <tr>
           <td class="isp-dashboard-section-top-l"></td>
           <td class="isp-dashboard-section-top"></td>
           <td class="isp-dashboard-section-top-r"></td>
          </tr>

          <tr>
	   <th class="isp-dashboard-section-left"></th>
           <!-- first row is the caption of the section -->
       	   <th class="isp-dashboard-section-head"><xsl:value-of select="epl:_(string(caption))"/></th>
	   <th class="isp-dashboard-section-right"></th>
          </tr>

          <tr>
	   <td class="isp-dashboard-section-left"></td>
           <!-- second row is the actual content of the section -->
           <td valign="center" class="isp-dashboard-section-contents">
            <xsl:variable name="section_img" select="image"/>
            <img src="{$section_img}" class="db-icon"/>
            <xsl:variable name="current_item" select="."/>
            <xsl:for-each select="key('displayItem','true')[generate-id(..) = generate-id($current_item)]">  
             <xsl:variable name="url" select="link/text()"/>
             <p><a href="{$url}"><xsl:value-of select="epl:_(string(display/text()))"/></a></p>
            </xsl:for-each>
           </td>
	   <td class="isp-dashboard-section-right"></td>
          </tr>

          <tr>
           <td class="isp-dashboard-section-bottom-l"></td>
           <td class="isp-dashboard-section-bottom"></td>
           <td class="isp-dashboard-section-bottom-r"></td>
          </tr>

         </table>
        </td>

       </xsl:for-each>
      </tr>
     </xsl:if>
    </xsl:for-each>
   </table>
  </body>
 </html>

</xsl:template>
</xsl:stylesheet>
