<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: user.navbar.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: user.navbar.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:31:50  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

    Revision 1.9  2006/04/12 13:14:10  mansoor
    XSL stylesheets need to stringify the XML nodes before calling the epl:_ localizer function

    Revision 1.8  2006/02/09 11:47:18  msahani
    Removed lang tags and replaced them with _() function for internationalization.

    Revision 1.7  2006/02/07 13:47:39  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:epl="http://www.ensim.com/epl50"    
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    exclude-result-prefixes="fn math sets"
>

<xsl:output method="xml" indent="yes" />

<!-- This is the Site Users Navigation Bar XSL
     The Site Users Navbar ($frontend/static/xml/user.navbar.xml) will be passed to this
-->

<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">

<!-- This is the left navigation bar of the Site User
     Minimalistically, this would contain the following

     (.) A 'login history' page. Useful for stacked auto-logins
     (.) The actual menu items
     (.) Any footers
-->

 <head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
  <link href="/static/css/user.global.css" type="text/css" rel="stylesheet" />
  <title><xsl:value-of select="epl:_('Site User Navigation')"/></title>

  <script language="javascript" src="/static/js/navbar.js">//	
  </script>

 </head>

 <body id="navbarFrm">
     
    <!-- Login Info Section: Renders the login history in case of auto-logins. -->
    <div class="navbar-rounded-box">
    <div><div><div><div>

    <!--
     The Login Info section displays who is currently logged in to the system.
     If a higher level administrator (say ISP), has autologged in to a lower level
     admin (say site), then the higher level administrator is shown first, and
     then follows the lower level administrators.

     If an ISP admin has autologged in as a site-admin, then the terminology used here is that
     "Logged in" as ISP Administrator,
     and
     "Working as" Site Administrator.
    -->

    <div class="logged-in-section-hidden">
    <div class="toggle-div" id="login_info"><xsl:value-of select="epl:_('Login Info')"/></div>
    <xsl:variable name="role_count" select="count(/navbar/logininfo/role)"/>

    <xsl:choose>
        <xsl:when test="$role_count = 1">
            <div class="logged-in-users"><xsl:value-of select="epl:_('Working as')"/>
            <div><xsl:value-of select="/navbar/logininfo/role[last()]"/></div>
            </div>
        </xsl:when>
        <xsl:otherwise>
            <div class="logged-in-users"><xsl:value-of select="epl:_('Logged in as')"/>
            <xsl:for-each select="/navbar/logininfo/role[position() != $role_count]">
            <div><xsl:value-of select="."/></div>
            </xsl:for-each>
            </div>
            <div class="logged-in-users"><xsl:value-of select="epl:_('Working as')"/>
            <div><xsl:value-of select="/navbar/logininfo/role[last()]"/></div>
            </div>
        </xsl:otherwise>
    </xsl:choose>
   
    <div class="logout"><input type="button" value="log out" onClick="window.parent.location='/siteuser/logout';" /></div>
    </div>
    
    </div></div></div></div>
    </div> 
    
    
    <!-- System Menu Section: Renders the actual items on the navbar -->
    <div class="navbar-rounded-box">
    <div><div><div><div>
    <div class="navbar-menu-title"><xsl:value-of select="epl:_('System Menu')"/></div>
    <div class="isp-navbar-section" id="isp-navbar-section">
        <xsl:apply-templates />
    </div>
    </div></div></div></div>
    </div> 
    <br />
  
  
    <!-- Logout Section: Renders the button for logging out. -->
    <div class="log-out">
        <div><a onClick="window.parent.location = '/siteuser/logout';"><xsl:value-of select="epl:_('Log out')"/></a></div>
    </div>
 
 </body>
</html>

</xsl:template>

<xsl:template match="/navbar/item">
    <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
    <xsl:variable name="link" select="./link/text()"/>
    <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
    </p>                   
</xsl:template>

<xsl:template match="text()|@*"/>
</xsl:stylesheet>

