<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:func="http://exslt.org/functions"
    extension-element-prefixes="func"
>

<xsl:output method="xml" indent="yes" />

<!-- This is the ISP Administrator's MOTD XSL
     The ISP Administrator's MOTD will be passed to this -->

<xsl:template match="/">
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
   <link href="/static/css/isp.global.css" type="text/css" rel="stylesheet" />
  </head>
  
  <body>
   <xsl:if test="/motd/isCallHomeFailed/text() = 1">
    <tr>
        <td colspan="3" class="isp-dashboard-title"><font color="Red"></font>
             <div><xsl:value-of select="epl:_('Ensim Pro was unable to contact the Ensim License
             Server during the last attempt. Ensure that you are connected to the network and that
             your firewall configuration is not blocking access to the Ensim License Server.')"/></div>
        </td>
    </tr>
 </xsl:if>
 <xsl:if test="/motd/isUnderGracePeriod/text() = 1">
    <tr>
        <td colspan="3" class="isp-dashboard-title"><font color="Red"></font>
             <div><xsl:value-of select="epl:_('Ensim Pro is currently running on grace period. Renew
             or upgrade yourlicense before the grace period expires.')"/></div>
        </td>
    </tr>
 </xsl:if>
 <xsl:if test="/motd/enabled/text() = 0 and 
               /motd/child::node()[name() = 'entry'] and 
               /motd/isUnderGracePeriod/text() = 0 and 
               /motd/isCallHomeFailed/text() = 0"> 
   
   <table class="isp-dashboard" cellspacing="0">
    <tr>
        <td colspan="2" class="isp-dashboard-title">
             <div><xsl:value-of select="epl:_('AnnounceIt!')"/></div>
        </td>
    </tr>
   </table>

  <table border="0">
   <xsl:for-each select="//entry">  
             <tr><td align= 'left'>
             <xsl:variable name="url" select="/motd/link/text()"/>
             <xsl:variable name="title" select="epl:_(string(title/text()))"/>
             <xsl:variable name="content" select="epl:_(string(content/text()))"/>
             <xsl:variable name="content_type" select="epl:_(string(content_type/text()))"/>
             <img src="/static/images/bullet1.gif"/>
             <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
             <a href="javascript://" onclick="window.open('{$url}?motdtitle={$title}&amp;motdcontent={$content}&amp;motdcontent_type={$content_type}','glo','width=635,height=375,scrollbars,resizable')" target="_self"><xsl:value-of select="$title"/></a>
            </td></tr>
   </xsl:for-each>
    </table>
  </xsl:if>
  </body>
 </html>
</xsl:template>

</xsl:stylesheet>
