﻿<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: isp.top.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: isp.top.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:38:19  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

    Revision 1.7.4.3  2007/03/21 05:38:08  msahni
    Fix for PR#59108: Adding and xml file for isp's topbar.

    Revision 1.7.4.2  2007/02/06 04:38:18  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.7.4.1  2006/11/09 10:55:58  msahni
    Formula for calculation of uptime minutes was incorrect.

    Revision 1.7.2.2  2006/11/08 14:21:33  skathalkar
    PR# 1084099: Showing Invalid Uptime. round funtion in xslt returns will return 24 for 23.78 value. this will result in showing hours as 24 which is invalid. floor will return 23 as the value.

    Revision 1.7.2.1  2006/11/08 09:31:17  msahni
    Formula for calculation of uptime minutes was incorrect.

    Revision 1.7  2006/04/13 15:24:24  agore
    upload logo done

    Revision 1.6  2006/04/04 13:15:09  msahani
    supporting localization

    Revision 1.5  2006/03/17 14:40:20  msahani
    Corrected problem of empty section display on dashboard.

    Revision 1.4  2006/03/15 14:52:55  mansoor
    ISP Administrator nomenclature changed to Server Administrator wherever plausible

    Revision 1.3  2006/03/08 12:02:28  msahani
    *** empty log message ***

    Revision 1.2  2006/02/21 12:49:04  ppatel
    Shifted ISP Logo within DIV tags

    Revision 1.1  2006/02/14 11:25:53  ppatel
    xsl,s updated....

-->
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:epl="http://www.ensim.com/epl50"
    exclude-result-prefixes="fn math sets"
    extension-element-prefixes="epl"
>

<!-- the isp administrator's top bar xsl 
     It refers the isp's topbar xml which is a string representation of the xml and not a file.
-->

<xsl:output method="xml" indent="yes" />

<xsl:template match="/topbar/appliancetop">

<html>
 <head>
  <link href="/static/css/isp.global.css" rel="stylesheet" type="text/css"/>
 </head>

 <body id="topbarFrm">
 <div class="isp-logo"><img src="/isp/logo.gif" class="isp-logo"/></div>

 <table cellspacing="0" cellpadding="0" class="server-info-section">
    <tr>
    <td>	
    <table cellspacing="0" cellpadding="0" class="server-info">
	<tr>
	<th>&nbsp;&raquo; <xsl:value-of select="epl:_('Server Administrator')"/></th>
	</tr>
			
        <tr>
	<td><span><xsl:value-of select="epl:_('Host Name')"/>:&nbsp;</span><xsl:value-of select="server_name"/></td>
	</tr>
			
        <tr>
	<td><span><xsl:value-of select="epl:_('IP Address')"/>:&nbsp;</span><xsl:value-of select="server_ip"/></td>
	</tr>
			
        <tr>
	<td><span><xsl:value-of select="epl:_('Domains Hosted')"/>:&nbsp;</span> <xsl:value-of select="domain_count"/></td>
	</tr>
    </table>
    </td>
	
    <td> 
    <table border="0" cellspacing="0" cellpadding="0"  class="server-stats">
	<tr>
	<th>&nbsp;&raquo; <xsl:value-of select="epl:_('Server Statistics')"/></th>
	</tr>
			
        <tr>
        <!-- Calculates the diskquota usage in percentage to display it on the bar which represents this usage -->
        <td>
        <xsl:variable name="disk_usage_perc" select="floor (disk_used div disk_total * 100)"/>
	<div class="disk-info"><div class="disk-usage-bar" style="width:{$disk_usage_perc}%">&nbsp;</div>
	<div class="disk-usage-text"><xsl:value-of select="$disk_usage_perc"/>%<xsl:value-of select="epl:_(' used')"/></div>
        </div>
	</td>
	</tr>
			
        <tr>
        <!-- Displays actual amounts of used diskquota and total diskquota -->
	<td><xsl:value-of select="disk_used"/> / <xsl:value-of select="disk_total"/><span>MB<xsl:value-of select="epl:_(' Used')"/></span></td>
	</tr>
			
        <tr>
        <!-- Converts the uptime from seconds to days, hrs, mins format -->
	<td><span><xsl:value-of select="epl:_('Up Time')"/>:&nbsp;</span>
        <xsl:variable name="uptime" select="uptime"/>
	<xsl:variable name="days" select="floor($uptime div 86400)"/>
        <xsl:value-of select="$days"/><xsl:value-of select="epl:_('Days')"/>&nbsp;
	<xsl:variable name="hrs" select="floor($uptime mod 86400 div 3600)"/>
        <xsl:value-of select="$hrs"/><xsl:value-of select="epl:_('Hrs')"/>&nbsp;
        <xsl:variable name="mins" select="floor($uptime mod 3600 div 60)"/>
        <xsl:value-of select="$mins"/><xsl:value-of select="epl:_('Mins')"/>
        </td>
	</tr>
    </table>
    </td>
    <td style="vertical-align: middle;"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
    </tr>
 </table>
</body>
</html>

</xsl:template>
</xsl:stylesheet>
