<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: isp.navbar.xsl,v 1.1 2008/03/04 17:50:30 asmirnova Exp $
    $Log: isp.navbar.xsl,v $
    Revision 1.1  2008/03/04 17:50:30  asmirnova
    Added "Reloaded" design

    Revision 1.1.1.1  2008/02/14 19:23:47  aarefyev
    Merge with skins and 10.3.1 branches

    Revision 1.1.2.1  2008/02/07 22:05:43  asmirnova
    Working on the new design

    Revision 1.15.4.2  2007/04/06 12:15:57  skodre
    Fix for PR#1085604. If the navbar item does not have service element but is proenabled it should be visible only for pro and not for basic

    Revision 1.15.4.1  2007/02/06 04:38:17  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.15.2.1.2.1  2007/01/08 09:01:51  skathalkar
    PR# 1084887: 10.1.0 :: Generic :: Lang Pack :: Redirect Online help link (German & Spanish) on ISP admin to English.

    Revision 1.15.2.1  2006/12/06 05:59:06  skathalkar
    PR# 1084671: 10.1.0 :: Generic :: EPL Basic :: "Bandwidth Usage Report" service should not available for EPL Basic version.

    Revision 1.15  2006/05/19 10:31:07  skodre
    changes made to put a space between product-type and version of epl displayed on the navbar

    Revision 1.14  2006/04/26 10:11:32  skathalkar
    [EPL] PR# 1081378: EPL Basic license strings displays Ensim Pro and the release no, it should be Ensim Basic

    Revision 1.13  2006/04/20 12:31:26  rishabh
    fix for PR#1080951

    Revision 1.12  2006/04/12 15:38:14  msahani
    Changes for localization.

    Revision 1.11  2006/04/06 07:02:52  skodre
    help icon added in navbar xsl

    Revision 1.10  2006/04/04 13:19:30  msahani
    supporting localization

    Revision 1.9  2006/03/21 10:32:44  skodre
    fixed isp navbars help link for classic skin

    Revision 1.8  2006/03/15 14:52:55  mansoor
    ISP Administrator nomenclature changed to Server Administrator wherever plausible

    Revision 1.7  2006/03/14 07:06:21  skodre
    added the epl version string

    Revision 1.6  2006/03/10 07:16:09  msahani
    *** empty log message ***

    Revision 1.5  2006/03/09 13:06:23  msahani
    *** empty log message ***

    Revision 1.4  2006/03/08 12:02:28  msahani
    *** empty log message ***

    Revision 1.3  2006/02/24 10:40:41  ppatel
    isp navbar xsl modified for classic skin

    Revision 1.2  2006/02/23 09:49:55  ppatel
    classic skin xsl's updated

    Revision 1.1  2006/02/23 09:32:59  ppatel
    classic skin xsls added

    Revision 1.2  2006/02/21 09:18:49  ppatel
    navbar xsl's for mercury skin upadated....

    Revision 1.1  2006/02/14 11:25:53  ppatel
    xsl,s updated....

    Revision 1.13  2006/02/09 11:45:02  msahani
    Removed lang tags and replaced them with _() function for internationalization.

    Revision 1.12  2006/02/07 13:36:26  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
]>

<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:epl="http://www.ensim.com/epl50"    
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    exclude-result-prefixes="fn math sets"
>

<xsl:output method="xml" indent="yes" />

<!-- This is the ISP Administrator's Navigation Bar XSL
     The ISP Administrator's Navbar ($frontend/static/xml/isp.navbar.xml) will be passed to this
-->

<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">

<!-- This is the left navigation bar of the ISP Administrator
     Minimalistically, this would contain the following

     (.) A 'login history' page. Useful for stacked auto-logins
     (.) The actual menu items
     (.) Any footers
-->

 <head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
  <link href="/static/css/isp.global.css" type="text/css" rel="stylesheet" />
  <link href="/static/css/navbar.global.css" type="text/css" rel="stylesheet" />
  <title><xsl:value-of select="epl:_('Server Administrator Navigation')"/></title>

  <script language="javascript" src="/static/js/navbar.js">// 
  </script>

 </head>

 <body id="navbarFrm">
  <!-- Login Info Section: Renders the login history in case of auto-logins. -->
  <div class="navbar-rounded-box">

    <!-- 
     The Login Info section displays who is currently logged in to the system. 
     If a higher level administrator (say ISP), has autologged in to a lower level 
     admin (say site), then the higher level administrator is shown first, and 
     then follows the lower level administrators.

     If an ISP admin has autologged in as a site-admin, then the terminology used here is that
     "Logged in" as ISP Administrator, 
     and 
     "Working as" Site Administrator.

    -->
    
    <div class="logged-in-section-hidden">
     <div class="toggle-div" id="login_info"><xsl:value-of select="epl:_('Login Info')"/></div>
     <xsl:variable name="role_count" select="count(/navbar/logininfo/role)"/>

     <xsl:choose>
      <xsl:when test="$role_count = 1">
       <div class="logged-in-users"><xsl:value-of select="epl:_('Working as')"/>
        <div><xsl:value-of select="epl:_(string(/navbar/logininfo/role[last()]))"/></div>
       </div>
      </xsl:when>
      <xsl:otherwise>
       <div class="logged-in-users"><xsl:value-of select="epl:_('Logged in as')"/>
        <xsl:for-each select="/navbar/logininfo/role[position() != $role_count]">
         <div><xsl:value-of select="epl:_(string(.))"/></div>
        </xsl:for-each>
       </div>
       <div class="logged-in-users"><xsl:value-of select="epl:_('Working as')"/>
        <div><xsl:value-of select="epl:_(string(/navbar/logininfo/role[last()]))"/></div>
       </div>
      </xsl:otherwise>
     </xsl:choose>

       
     <div class="logout">
      <input type="button" class="button" onClick="window.parent.location='/isp/logout';">
       <xsl:attribute name="value"><xsl:value-of select="epl:_('log out')"/></xsl:attribute>
      </input> 
     </div>
    </div>
    
  </div> 
      
         
  <!-- System Menu Section: Renders the actual items on the navbar -->
  <div class="navbar-rounded-box">
 
    <div class="navbar-menu-title"><xsl:value-of select="epl:_('Menu')"/></div>	
    <div class="isp-navbar-section"  id="isp-navbar-section">
     <xsl:apply-templates />
    </div>
  
  </div>

  <!-- section to display the EPL Version string -->
  <div class="epl-version-string">
    <div class="copyBy"><a href="http://www.parallels.com" target="_blank">
    © Copyright 1999-2008, Parallels<br/> All rights reserved</a></div>
  </div>

 </body>
</html>
</xsl:template>


<xsl:template match="/navbar/item">
    <!--
        The following code checks if an item node has subitem node. If it does then it checks if it has link node.
        If it does then the that item is displayed as hyperlink otherwise not.
        It also checks if it has a service node which is not empty. If so it looks for that service in the child
        nodes of enabledservices node. If it finds it, the item gets displayed otherwise not.
        If no service node is present or if it is empty then the item gets displayed.
    -->
    
 <xsl:choose>

  <xsl:when test="./display/text()='help'">
   <xsl:variable name="link" select="./link/text()"/> 
   <xsl:variable name="path" select="concat('/docs/' , epl:ohlanguage() , '/appliance/', $link)"/>
   <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">   
    <xsl:variable name="icon" select="./icon/text()"/>
    <img src="{$icon}" align="absmiddle" />
    <a href="{$path}" target="_blank">
     <xsl:value-of select="epl:_(string(./display/text()))"/>
    </a>
   </p>
  </xsl:when>
  
  <xsl:otherwise>   

   <xsl:choose>
    <xsl:when test="./child::node()[name() = 'subitem']">
     <xsl:choose>
      <xsl:when test="./child::node()[name() = 'link']">
       <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
        <xsl:variable name="icon" select="./icon/text()"/>
        <img src="{$icon}" align="absmiddle" />
        <xsl:variable name="link" select="./link/text()"/>
        <a href="{$link}" target="main">
         <xsl:value-of select="epl:_(string(./display/text()))"/>
        </a>
       </p>
      </xsl:when>
      <xsl:otherwise>
       <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
        <xsl:variable name="icon" select="./icon/text()"/>
        <img src="{$icon}" align="absmiddle" />
        <span><xsl:value-of select="epl:_(string(./display/text()))"/></span>
       </p>
      </xsl:otherwise>
     </xsl:choose>
     <xsl:for-each select="./subitem">
      <xsl:choose>
       <xsl:when test="./child::node()[name() = 'service'] and ./service/text()">
        <xsl:variable name="service" select="./service" />
        <xsl:choose>
          <xsl:when test="./child::node()[name() = 'proenabled']">
	  	<xsl:variable name="ispro" select="epl:isPro()"/>
		<xsl:if test = "$ispro = 'True'">
	            <xsl:if test="/navbar/enabledservices/child::node()[name() = $service]">
		       <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item-sub1">
                       <xsl:variable name="icon" select="./icon/text()"/>
                       <img src="{$icon}" align="absmiddle" />
		       <xsl:variable name="link" select="./link/text()"/>
		       <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
		       </p>
		    </xsl:if>
		</xsl:if>
          </xsl:when>
       	  <xsl:otherwise>
		<xsl:if test="/navbar/enabledservices/child::node()[name() = $service]">
		 <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item-sub1">
                  <xsl:variable name="icon" select="./icon/text()"/>
                  <img src="{$icon}" align="absmiddle" />
		  <xsl:variable name="link" select="./link/text()"/>
		 <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
		 </p>
		</xsl:if>
       	  </xsl:otherwise>
        </xsl:choose>
       </xsl:when>
       <xsl:otherwise>
        <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item-sub1">
         <xsl:variable name="icon" select="./icon/text()"/>
         <img src="{$icon}" align="absmiddle" />
         <xsl:variable name="link" select="./link/text()"/>
         <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
        </p>
       </xsl:otherwise>
      </xsl:choose>
     </xsl:for-each>
    </xsl:when>
    <xsl:otherwise>
     <xsl:choose>
      <xsl:when test="./child::node()[name() = 'service'] and ./service/text()">
       <xsl:variable name="service" select="./service" />
        <xsl:choose>
  	  <xsl:when test="./child::node()[name() = 'proenabled']">
          <xsl:variable name="ispro" select="epl:isPro()"/>
	  <xsl:if test = "$ispro = 'True'">
          <xsl:if test="/navbar/enabledservices/child::node()[name() = $service]">
           <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
           <xsl:variable name="icon" select="./icon/text()"/>
           <img src="{$icon}" align="absmiddle" />
           <xsl:variable name="link" select="./link/text()"/>
           <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
           </p>
          </xsl:if>
          </xsl:if>
          </xsl:when>
        <xsl:otherwise>
          <xsl:if test="/navbar/enabledservices/child::node()[name() = $service]">
           <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
           <xsl:variable name="icon" select="./icon/text()"/>
           <img src="{$icon}" align="absmiddle" />
           <xsl:variable name="link" select="./link/text()"/>
           <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
           </p>
          </xsl:if>
        </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
     <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="./child::node()[name() = 'proenabled']">
          <xsl:variable name="ispro" select="epl:isPro()"/>
          <xsl:if test = "$ispro = 'True'">
            <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
            <xsl:variable name="icon" select="./icon/text()"/>
            <img src="{$icon}" align="absmiddle" />
            <xsl:variable name="link" select="./link/text()"/>
            <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
            </p>
          </xsl:if>
          </xsl:when>
          <xsl:otherwise>
            <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
            <xsl:variable name="icon" select="./icon/text()"/>
            <img src="{$icon}" align="absmiddle" />
            <xsl:variable name="link" select="./link/text()"/>
            <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
            </p>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:otherwise>

 </xsl:choose>
    
</xsl:template>

<xsl:template match="text()|@*"/>
</xsl:stylesheet>

