<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: siteuser.navbar.xsl,v 1.2 2008/03/12 11:01:34 asmirnova Exp $
    $Log: siteuser.navbar.xsl,v $
    Revision 1.2  2008/03/12 11:01:34  asmirnova
    Added info about "working as"

    Revision 1.1  2008/03/04 17:50:30  asmirnova
    Added "Reloaded" design

    Revision 1.1.1.1  2008/02/14 19:23:47  aarefyev
    Merge with skins and 10.3.1 branches

    Revision 1.1.2.1  2008/02/07 22:05:43  asmirnova
    Working on the new design

    Revision 1.12.4.1  2007/02/06 04:38:17  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.12.10.1  2007/01/08 09:01:51  skathalkar
    PR# 1084887: 10.1.0 :: Generic :: Lang Pack :: Redirect Online help link (German & Spanish) on ISP admin to English.

    Revision 1.12  2006/04/12 15:38:14  msahani
    Changes for localization.

    Revision 1.11  2006/04/06 07:02:52  skodre
    help icon added in navbar xsl

    Revision 1.10  2006/04/04 13:19:30  msahani
    supporting localization

    Revision 1.9  2006/03/21 10:42:37  skodre
    fixed the siteusers help link for classic skin

    Revision 1.8  2006/03/14 07:17:40  skodre
    removing the version string since not needed at siteuser level

    Revision 1.7  2006/03/14 07:06:44  skodre
    added the epl version string

    Revision 1.6  2006/03/10 07:16:09  msahani
    *** empty log message ***

    Revision 1.5  2006/03/09 11:09:32  msahani
    changes made for hiding links of services that are disabled for a particular user.

    Revision 1.4  2006/03/08 12:02:28  msahani
    *** empty log message ***

    Revision 1.3  2006/02/24 11:23:43  ppatel
    xsls modified to display icons for each navbar items for classic skin

    Revision 1.2  2006/02/23 09:49:55  ppatel
    classic skin xsl's updated

    Revision 1.1  2006/02/23 09:32:59  ppatel
    classic skin xsls added

    Revision 1.2  2006/02/21 09:18:49  ppatel
    navbar xsl's for mercury skin upadated....

    Revision 1.1  2006/02/14 11:25:53  ppatel
    xsl,s updated....

    Revision 1.1  2006/02/07 16:19:48  arvindd
    Changing names of XSL to be consistent with cookie names and URLs

    Revision 1.7  2006/02/07 13:47:39  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:epl="http://www.ensim.com/epl50"    
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    exclude-result-prefixes="fn math sets"
>

<xsl:output method="xml" indent="yes" />

<!-- This is the Site Users Navigation Bar XSL
     The Site Users Navbar ($frontend/static/xml/user.navbar.xml) will be passed to this
-->

<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">

<!-- This is the left navigation bar of the Site User
     Minimalistically, this would contain the following

     (.) A 'login history' page. Useful for stacked auto-logins
     (.) The actual menu items
     (.) Any footers
-->

 <head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
  <link href="/static/css/user.global.css" type="text/css" rel="stylesheet" />
  <link href="/static/css/navbar.global.css" type="text/css" rel="stylesheet" />
  <title><xsl:value-of select="epl:_('Site User Navigation')"/></title>

  <script language="javascript" src="/static/js/navbar.js">//	
  </script>

 </head>

 <body id="navbarFrm">
  <!-- Login Info Section: Renders the login history in case of auto-logins. -->
  <div class="navbar-rounded-box">

    <!--
     The Login Info section displays who is currently logged in to the system.
     If a higher level administrator (say ISP), has autologged in to a lower level
     admin (say site), then the higher level administrator is shown first, and
     then follows the lower level administrators.

     If an ISP admin has autologged in as a site-admin, then the terminology used here is that
     "Logged in" as ISP Administrator,
     and
     "Working as" Site Administrator.
    -->

    <div class="logged-in-section-hidden">
     <div class="toggle-div" id="login_info"><xsl:value-of select="epl:_('Login Info')"/></div>
     <xsl:variable name="role_count" select="count(/navbar/logininfo/role)"/>

     <xsl:choose>
      <xsl:when test="$role_count = 1">
       <div class="logged-in-users"><xsl:value-of select="epl:_('Working as')"/>
        <div><xsl:value-of select="epl:_(string(/navbar/logininfo/role[last()]))"/><br/><xsl:value-of select="/navbar/user/properties/username"/></div>
       </div>
      </xsl:when>
      <xsl:otherwise>
       <div class="logged-in-users"><xsl:value-of select="epl:_('Logged in as')"/>
        <xsl:for-each select="/navbar/logininfo/role[position() != $role_count]">
         <div><xsl:value-of select="epl:_(string(.))"/></div>
        </xsl:for-each>
       </div>
       <div class="logged-in-users"><xsl:value-of select="epl:_('Working as')"/>
        <div><xsl:value-of select="epl:_(string(/navbar/logininfo/role[last()]))"/><br/><xsl:value-of select="/navbar/user/properties/username"/></div>
       </div>
      </xsl:otherwise>
     </xsl:choose>
   
     <div class="logout">
      <input type="button" onClick="window.parent.location='/siteuser/logout';" class="button">
       <xsl:attribute name="value"><xsl:value-of select="epl:_('log out')"/></xsl:attribute>
      </input>
     </div>
    </div>
    
  </div> 
    
    
  <!-- System Menu Section: Renders the actual items on the navbar -->
  <div class="navbar-rounded-box">
    <div class="navbar-menu-title"><xsl:value-of select="epl:_('System Menu')"/></div>
    <div class="isp-navbar-section" id="isp-navbar-section">
     <xsl:apply-templates />
    </div>
  </div> 

  <!-- section to display the EPL Version string -->
    <div class="epl-version-string">
        <div class="copyBy"><a href="http://www.parallels.com" target="_blank">
	    © Copyright 1999-2008, Parallels<br/> All rights reserved</a></div>
   </div>

 </body>
</html>

</xsl:template>

<xsl:template match="/navbar/item">
    <!--
        The following code checks if it has a service node which is not empty. If so it looks for that service in the child
        nodes of enabledservices node. If it finds it, the item gets displayed otherwise not.
        If no service node is present or if it is empty then the item gets displayed.
    -->
    
 <xsl:choose>

  <xsl:when test="./display/text()='help'">
   <xsl:variable name="link" select="./link/text()"/> 
   <xsl:variable name="path" select="concat('/docs/' , epl:ohlanguage() , '/user/', $link)"/>
   <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">   
    <xsl:variable name="icon" select="./icon/text()"/>
    <img src="{$icon}" align="absmiddle" />
    <a href="{$path}" target="_blank">
     <xsl:value-of select="epl:_(string(./display/text()))"/>
    </a>
   </p>
  </xsl:when>
  
  <xsl:otherwise>   
   <xsl:choose>
    <xsl:when test="./child::node()[name() = 'service'] and ./service/text()">
     <xsl:variable name="service" select="./service" />
     <xsl:if test="/navbar/enabledservices/child::node()[name() = $service]">
      <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
       <xsl:variable name="icon" select="./icon/text()"/>
       <img src="{$icon}" align="absmiddle" />
       <xsl:variable name="link" select="./link/text()"/>
       <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
      </p>                   
     </xsl:if>
    </xsl:when>
    <xsl:otherwise>
     <p xmlns="http://www.w3.org/1999/xhtml" class="navbar-item">
      <xsl:variable name="icon" select="./icon/text()"/>
      <img src="{$icon}" align="absmiddle" />
      <xsl:variable name="link" select="./link/text()"/>
      <a href="{$link}" target="main"><xsl:value-of select="epl:_(string(./display/text()))"/></a>
     </p>
    </xsl:otherwise>
   </xsl:choose>

  </xsl:otherwise>
 </xsl:choose>
</xsl:template>

<xsl:template match="text()|@*"/>
</xsl:stylesheet>

