// validators is an associative array holding the field object containing validating constraints.


//Function to check the length of each octat (name before @ and in between @ & . or . & .)  in an email id. If the length of any octat greater than 63 then an error is thrown.
function checkLocalnameStrLength(element){
    var ret=null;
    var Localname_value=element.value;
    var value_arr = new Array();
    value_arr = Localname_value.split('@');
    if(value_arr[0].length > 63){
        return string_length_err_msg3 + validators[element.name]["displayname"] + string_length_err_msg2 + "63.";
    }
    else {
        var domain_octat_arr = new Array();
        domain_octat_arr = value_arr[1].split('.');
        for (var j=0; j<domain_octat_arr.length; j++) {
            if (domain_octat_arr[j].length > 63) {
                return string_length_err_msg3 + validators[element.name]["displayname"] + string_length_err_msg2 + "63.";
            }
        }
    }
}

function compare (no1, no2) {
    if (no1 < no2) {
        return 1;
    }
    if (no1 > no2) {
        return -1;
    }
    else {
        return 0;
    }
}

function initializevalidators (fieldname, mandatory, constraints, min, max, displayname, password1, fieldtype) {
        var field = new Array (7);
        field["re"] = constraints;
        field["min"] = min;
        field["max"] = max;
        field["req"] = mandatory;
        field["displayname"] = displayname;
        field["password1"] = password1;
        field["type"] = fieldtype;
        validators[fieldname] = field;
}

function eventvalidatefields(evt) {
    var formelement = document.forms[0];
    var fieldname = null;
    var constraints_obj = null;
    var ret = null;
    var return_value = true;

    clear_error_div ();
    hide_error_div ();

    for (var i = 0; i< formelement.elements.length; i++) {
        fieldname = formelement.elements[i].name;
        constraints_obj = validators[fieldname];
        if (constraints_obj) {
            // retreive the validation constraints
            var isCurrentFieldValid = true; // innocent unless proven guilty :)
            if(constraints_obj["type"] == 'list') {
                var field_separator= null ;
                if(formelement.elements[i].id){
                    field_separator=document.getElementById(formelement.elements[i].id).getAttribute("f_sep");
                }
                var element_value = formelement.elements[i].value;
		element_value = element_value.replace(/^\s*|\s*$/g,"");

                //Do the  validation only if the field separator is present & textarea is non blank
		if(field_separator && element_value.length !=0 ){
                    var constraints=constraints_obj["re"];
                    var list_element= new Array();
                    list_element=element_value.split(field_separator);
                    for(var j=0; j<list_element.length ; j++){
                        var element_without_space  = list_element[j].replace(/^\s*|\s*$/g,"");
                        ret = check_constraints(element_without_space,constraints);
                        if (ret) {
                            ret="Entity " + (j +1)+ " : " + ret;
                            append_error_message (ret);
                            return_value = false;
                            isCurrentFieldValid = false;
                        }
                    }
                }
            }
   
            else{
                if (constraints_obj["req"] != 0) {
                //mandatory field
                    ret =  validate_mandatory_constraint(formelement.elements[i]);
                    if (ret) {
                        //no value present in the mandatory field. The validation failed, display the message.
                        append_error_message (ret);
                        return_value = false;
                        isCurrentFieldValid = false;
                    }
                    else {
                        //value present in the mandatory field then check for constraints.
                        if (constraints_obj["re"] != 'None') {
                            // validate if the regular expression matches
			    ret = apply_constraints(formelement.elements[i], constraints_obj["re"]); 
                            if (ret) {
                                // the validation failed, display the message.
                                append_error_message (ret);
                                return_value = false;
                                isCurrentFieldValid = false;
                            }
                        }
                    }
                }
                
                if (constraints_obj["req"] == 0){
                    //non mandatory field.
                    if (formelement.elements[i].value) {
                        //non empty field then check for constraints.
                        if (constraints_obj["re"] != 'None') {
                            // validate if the regular expression matches
                            ret =  apply_constraints(formelement.elements[i], constraints_obj["re"]); 
                            if (ret) {
                                // the validation failed, display the message.
                                append_error_message (ret);
                                return_value = false;
                                isCurrentFieldValid = false;
                            }
                        }
                    }
                }

                if (constraints_obj["password1"] != 'None') {
                    //validate if 2 password fields match
                    var password_field = constraints_obj["password1"];
                    ret=validate_password_constraint(formelement.elements[i],eval("formelement."+password_field+".value"));
                    if (ret) {
                        //validation failed
                        append_error_message (ret);
                        return_value = false;
                        isCurrentFieldValid = false;
                    }
                }

                if (constraints_obj["type"] == 'int' || constraints_obj["type"] == 'float') {
                    //validation for intergers
                    ret=validate_integer_constraint(formelement.elements[i],constraints_obj["min"],constraints_obj["max"]);
                    if (ret) {
                        append_error_message (ret);
                        return_value = false;
                        isCurrentFieldValid = false;
                    }
                }
                
                else {
                    if (constraints_obj["min"] != 'None') {
                        // validate if the regular expression matches
                        ret =  validate_min_constraint(formelement.elements[i], constraints_obj["min"]);
                        if (ret) {
                            // the validation failed, display the message.
                            append_error_message (ret);
                            return_value = false;
                            isCurrentFieldValid = false;
                        }
                    }
                    if (constraints_obj["max"] != 'None') {
                        // validate if the regular expression matches
                        ret =  validate_max_constraint(formelement.elements[i], constraints_obj["max"]);
                        if (ret) {
                            // the validation failed, display the message.
                            append_error_message (ret);
                            return_value = false;
                            isCurrentFieldValid = false;
                        } 
                    }
                }

                if (formelement.elements[i].type == 'text'){
                    if((formelement.elements[i].id.substr(0,10))=="OctatCheck"){
                        ret = checkLocalnameStrLength(formelement.elements[i]);
                        if (ret) {
                            append_error_message (ret);
                            return_value = false;
                            isCurrentFieldValid = false;
                        }
                    }
                }
                if (isCurrentFieldValid == false) {4
                    markFieldInvalid (formelement.elements[i]);
                }
                else {
                    markFieldValid (formelement.elements[i]);
                }
 
                // inner if loops end here
            }
        }
    }

    if (!return_value) {
            show_error_div ();
    }

    return return_value;
}

//The registerIDN() function is used for creating a hidden input element in the form whose value
//is a colon separated string of element ids that can accept IDN format values and need to be
//converted to punycode.
//It takes as parameter the colon separated string of element ids
//Reutrns hidden type input element in the form.

function registerIDN (registerIDN_str) {
    var element = document.createElement("input");
    element.setAttribute("type","hidden");
    element.setAttribute("name","idn_field_str");
    element.setAttribute("id","idn_field_str");
    element.setAttribute("value",registerIDN_str);
    document.forms[0].appendChild(element);
    return;
}

//This function performs the same function as registerIDN()
//It takes as parameter a colon separated list of ids which accept email addresses

function registerIDN_email (registerIDN_email_str) {
    var element = document.createElement("input");
    element.setAttribute("type","hidden");
    element.setAttribute("name","idn_email_str");
    element.setAttribute("id","idn_email_str");
    element.setAttribute("value",registerIDN_email_str);
    document.forms[0].appendChild(element);
    return;
}

//This function is the same as registerIDN(). But this function will receive as parameter the
//id of the field which contains a '\r\n' separated list of domain names.
//Eg. aliases in add site form would return such a list.
function registerIDN_domainList (registerIDN_domainList_str) {
    var element = document.createElement("input");
    element.setAttribute("type","hidden");
    element.setAttribute("name","idn_list_str");
    element.setAttribute("id","idn_list_str");
    element.setAttribute("value",registerIDN_domainList_str);
    document.forms[0].appendChild(element);
    return;
}


var bkgdImage;
bkgdImage = "";
function registerValidationEvents () {
    // variable "formelements" is of the type HtmlCollection. It is a collection (array)
    // of form elements retreived from the body element.
    var formelements = document.body.getElementsByTagName("form");
    var formobj;
    var inputelements;
    var submitlist;
    var changecaseinputlist;
    var widget;
    // restriction: only one form per page
    //if (formelements.length != 1) alert("The frontend framework enforces use of only one form per page.")
    for(var j=0; j<formelements.length; j++) {
        formobj = formelements[j];
        // variable "inputelements" is of the type HtmlCollection. It is a collection (array)
        // of input elements retreived from the form element.
        inputelements = formobj.getElementsByTagName("input");
        // filter the elements having tag as "input" and type as "submit". These
        // are the widgets ON CLICK of which validation needs to be triggered.
        submitlist = new Array();
        changecaseinputlist = new Array();
        if(inputelements.length>0){
            bkgdImage = inputelements[0].style.backgroundImage;
        }
        for (var i = 0; i< inputelements.length; i++) {
            if (inputelements[i].getAttribute("case")) {
                changecaseinputlist = changecaseinputlist.concat(inputelements[i]);
            }
            if ((inputelements[i].type == 'submit') && (inputelements[i].id))  {
                // TODO: two if loops until I figure out how to do logical Anding in js.
                if (inputelements[i].name != "cancel") {
                    submitlist = submitlist.concat(inputelements[i]);
                }
            }
        }
        // register the events to be triggered on click.
        for (i=0; i< submitlist.length; i++ ) {
            widget = document.getElementById (submitlist[i].id);
            if (widget) {
                if (changecaseinputlist.length) {
                    for (var j=0; j<changecaseinputlist.length; j++) {
                        widget.onclick = changeCase;
                    }
                }
                else {
                    widget.onclick = eventvalidatefields;
                }
            }
        }
    }
    clear_error_div ();
    hide_error_div ();
}

function changeCase (evt)
{
    var formelement = document.forms[0];
    for (var i=0; i<formelement.elements.length; i++) {
        if (formelement.elements[i].getAttribute("case")) {
            var attr = formelement.elements[i].getAttribute("case");
            var val = formelement.elements[i].value;
            if (attr == 'upper') {
                formelement.elements[i].value = val.toUpperCase();
            }
            else {
                formelement.elements[i].value = val.toLowerCase();
            }
        }
    }
    return eventvalidatefields();
}

function markFieldInvalid (field) {
    // marks an html element as invalid. The 'field' argument is the actual HTML element to be marked invalid.
    if ((field.tagName == "input")||(field.tagName == "INPUT")||(field.tagName == "textarea")||(field.tagName == "TEXTAREA")){
        field.style.backgroundImage = 'none';
        field.style.backgroundColor = '#ffff00';
    }
}

function markFieldValid (field) {
    // marks an html element as valid. The 'field' argument is the actual HTML element to be marked invalid.
    if ((field.tagName == "input") || (field.tagName == "INPUT")) {
        field.style.backgroundImage = bkgdImage;
        field.style.backgroundColor = '#ffffff';
    }
}

function append_error_message (msg) {
    var errordiv = document.getElementById ("div:validationerrors");
    if (errordiv) {
        /* errordiv.innerHTML = errordiv.innerHTML + msg; */
        var p = document.createElement ("p");
        p.innerHTML = msg;
        errordiv.appendChild (p);
    }
}

function hide_error_div () {
    var errordiv = document.getElementById ("div:validationerrors");
    if (errordiv) {
        errordiv.style.display = "none";
    }
}
   
function show_error_div () {
    var errordiv = document.getElementById ("div:validationerrors");
    if (errordiv) {
        errordiv.style.display = "block";
    }
}

function clear_error_div () {
    var errordiv = document.getElementById ("div:validationerrors");
    if (errordiv) {
        while (errordiv.firstChild) {
            errordiv.removeChild (errordiv.firstChild);
        }
    }
}


