<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:str="http://exslt.org/strings"
 xmlns:tgt="http://www.w3.org/1999/xhtml"
 xmlns:epl="http://www.ensim.com/epl50"
 xmlns:saxon="http://icl.com/saxon"
 exclude-result-prefixes="epl tgt str saxon"
 extension-element-prefixes="epl saxon"
>
<!-- 
 this xsl will be applied to all kid pages just before 'outputting' the page
 this is for the express purpose of translating the <lang> elements in the kid pages appropriately

 $Id: kidstriplang.xsl,v 1.1.1.1 2008/03/03 17:50:33 aarefyev Exp $
-->

<xsl:template match="tgt:lang">
 <xsl:value-of select="epl:_(string(.))"/>
</xsl:template>

<!-- If the textarea tag does not contain any text between the opening and closing tags, 
     then to prevent the ending tag from being stripped out the xsl:text element has been added. 
     As a result, a blank textarea is rendered on the GUI as required. -->

<xsl:template match="tgt:textarea[not(text())]">
     <textarea>
      <xsl:copy-of select="@*"/>
<xsl:text>
</xsl:text>
    </textarea>
</xsl:template>

<xsl:template match="tgt:div[not(text()) and not(./child::node())]">
     <div>
      <xsl:copy-of select="@*"/>
<xsl:text>
</xsl:text>
    </div>
</xsl:template>

<xsl:template match="tgt:idn">
 <xsl:value-of select="epl:idn(string(.))"/>
</xsl:template>

<xsl:template match="tgt:script[not(text())]">
     <script>
      <xsl:copy-of select="@*"/>
<xsl:text>
</xsl:text>
    </script>
</xsl:template>

<xsl:template match="tgt:span[not(text()) and not(./child::node())]">
     <span>
      <xsl:copy-of select="@*"/>
<xsl:text>
</xsl:text>
    </span>
</xsl:template>

<!-- filter out all the remaining tags as is -->
<xsl:template match="*">
 <xsl:copy>
  <xsl:copy-of select="@*"/>
  <xsl:apply-templates/>
 </xsl:copy>
</xsl:template>

</xsl:stylesheet>
