# dnsOptions -- A package to parse common options passed to the DNS CLI
# 

# $Id: dnsOptions.pm,v 1.1.1.1 2008/03/01 00:21:33 aarefyev Exp $

package dnsOptions;

use strict;
require Exporter;

our @ISA = qw (Exporter);
our @EXPORT_OK = qw (parseOptions _log siteid);

use lib ($ENV{'OCW_SVCPATH'} || "/usr/lib/opcenter")."/bind";
use lib ($ENV{'OCW_SVCPATH'} || "/usr/lib/opcenter")."/cmdline_common";

# The following format of the extended options (-o to the scripts), is recognized:
# 
# log=0/1       log all attempted dns transactions to the dns_log table
# siteid=N      use the number N as the siteid on whose behalf this script is being run

our $_log = 0;
our $siteid = undef;

# parses the command line options passed to the scripts
sub parseOptions (\%) {
    my $opts = shift;       # hashref
    my $ostring = $opts->{o} || "";

    for my $opt (split (/[:,;\s+]/, $ostring)) {
        if ($opt =~ /^log=(.*)$/) {
            $_log = $1;
        } elsif ($opt =~ /^siteid=(.*)$/) {
            $siteid = $1;
        }
    }

    return;
}

1;
