# dnsUsage -- A package containing help strings for dns command-line API
# 

# $Id: dnsUsage.pm,v 1.1.1.1 2008/03/01 00:21:34 aarefyev Exp $

package dnsUsage;
use strict;
require Exporter;

our @ISA = qw /Exporter/;
our @EXPORT_OK = qw /add_a delete_a add_mx delete_mx add_ns delete_ns add_cname delete_cname add_txt delete_txt add_ptr delete_ptr/;

our $add_a = "
Usage: add_a [ -u ] [ -z zone ] [ -M dns_server ] hostname ipaddress

  -u            (optional)
                Require that the A record that is to be added does not exist
                already. If run with this option, the command should fail
                if the record already exists

 -z zone        (optional)
                Specifies the zone in which the A record is to be added.
                If specified, then the A record should be a relative label,
                such as www (and not www.zone.com)
                If the zone is not specified, then nsupdate will attempt
                to guess the zone name from the A record, which must then
                be absolute (such as www.zone.com)

 -M dns_server  (optional)
                The dns server name (or IP address) to which the updates 
                should be sent.
                This server name is honoured only if the zone specified with
                -z does not exist on the local server, or if the zone is
                not specified

 <hostname>     The label of the A record. If the zone is specified with -z,
                then the label should be a relative name, and should not end 
                with the name of the zone. 
                If no zone is specified with -z, then this label must include
                the FQDN of the intended A record (such as www.zone.com)

 <ipaddress>    The IPv4 address which the label should resolve to

 NOTE: If neither the zone (-z), nor the DNS server (-M) is specified, then
       all updates will be attempted onto localhost (127.0.0.1)

";

our $delete_a = "
Usage: delete_a [ -z zone ] [ -M dns_server ] hostname [ ipaddr ]

 -z zone        (optional)
                Specifies the zone in which the A record is to be added.
                If specified, then the A record should be a relative label,
                such as www (and not www.zone.com)
                If the zone is not specified, then nsupdate will attempt
                to guess the zone name from the A record, which must then
                be absolute (such as www.zone.com)

 -M dns_server  (optional)
                The dns server name (or IP address) to which the updates 
                should be sent.
                This server name is honoured only if the zone specified with
                -z does not exist on the local server, or if the zone is
                not specified

 hostname       The record to be deleted

 ipaddr         (optional)
                If specified, the A record (hostname) pointing to this IP is deleted
                If not specified, all A records (hostname) are deleted

 NOTE: If neither the zone (-z), nor the DNS server (-M) is specified, then
       all updates will be attempted onto localhost (127.0.0.1)

";

our $add_mx = "
Usage: add_mx [ -z zone ] mxdomain mail_server precedence

";

our $delete_mx = "Usage: delete_mx [ -z <zone> ] <mxdomain> [ <mail_server> <precedence> ]\n";

our $add_ns = "Usage: add_ns [ -z <zone> ] <ns_zone> <ns_server>\n";

our $delete_ns = "Usage: delete_ns [ -z <zone> ] <ns_zone> [ <ns_server> ]\n";

our $add_cname = "
Usage: add_cname [ -z zone ] [ -D dns_server ] alias target

 -z zone        (optional)
                Specifies the zone in which the A record is to be added.
                If specified, then the A record should be a relative label,
                such as www (and not www.zone.com)
                If the zone is not specified, then nsupdate will attempt
                to guess the zone name from the A record, which must then
                be absolute (such as www.zone.com)

 -D dns_server  (optional)
                The dns server name (or IP address) to which the updates 
                should be sent.
                This server name is honoured only if the zone specified with
                -z does not exist on the local server, or if the zone is
                not specified

 alias          The CNAME record to be added

 target         The name to which the new record will be an alias

 NOTE: If neither the zone (-z), nor the DNS server (-D) is specified, then
       all updates will be attempted onto localhost (127.0.0.1)

";

our $delete_cname = "
Usage: delete_cname [ -z zone ] [ -D dns_server ] alias [ target ]

 -z zone        (optional)
                Specifies the zone in which the A record is to be added.
                If specified, then the A record should be a relative label,
                such as www (and not www.zone.com)
                If the zone is not specified, then nsupdate will attempt
                to guess the zone name from the A record, which must then
                be absolute (such as www.zone.com)

 -D dns_server  (optional)
                The dns server name (or IP address) to which the updates 
                should be sent.
                This server name is honoured only if the zone specified with
                -z does not exist on the local server, or if the zone is
                not specified

 alias

 target

 NOTE: If neither the zone (-z), nor the DNS server (-D) is specified, then
       all updates will be attempted onto localhost (127.0.0.1)

";

our $add_txt = "Usage: add_txt [ -u ] [ -z <zone> ] <hostname> <text>\n";

our $delete_txt = "Usage: delete_txt [ -z <zone> ] <hostname> [ <text> ]\n";

our $add_ptr = "Usage: add_ptr [ -z <zone> ] <ipaddress> <full-hostname>\n";

our $delete_ptr = "Usage: delete_ptr [ -z <zone> ] ( [ -f ] < ip-addr> | <arpa-addr> ) [ <hostname> ]\n";

our $add_aaaa = "Usage: add_aaaa [ -u ] [ -z <zone> ] <hostname> <ipaddress>\n";

our $delete_aaaa = "Usage: delete_aaaa [ -z <zone> ] <hostname> [ <ipaddr> ]\n";

our $add_srv = "Usage: add_srv [ -z <zone> ] <hostname> <priority> <weight> <port> <target>\n";

our $delete_srv = "Usage: delete_srv [ -z <zone> ] <hostname> [ <priority> <weight> <port> <target>]\n";

our $refresh_zone = "Usage: refresh_zone zone [ zone2, zone3, ... ]\n";

1;

