--
-- DNS logging for Ensim Pro (X). Schema file for table dns_log.
-- $Id: dns_log.sql,v 1.2 2008/05/14 10:39:30 asmirnova Exp $
--

SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;

SET SESSION AUTHORIZATION 'root';

SET search_path = public, pg_catalog;

CREATE SEQUENCE dns_log_seq INCREMENT 1 start 1;

CREATE TABLE dns_log (
    log_index   integer PRIMARY KEY NOT NULL DEFAULT NEXTVAL('dns_log_seq'),
    site_id     integer NOT NULL,
    date        date default CURRENT_DATE,
    "time"      time default CURRENT_TIME,
    "action"    character varying(50),
    zonename    character varying(256),
    record_type character varying(50),
    hostname    character varying(256),
    data        character varying(256),
    extra       character varying(512),
    reserved1   character varying(256),
    reserved2   character varying(256)
);


ALTER TABLE ONLY dns_log
    ADD CONSTRAINT "$1" FOREIGN KEY (site_id) REFERENCES siteinfo(site_id) DEFERRABLE INITIALLY DEFERRED;



CREATE VIEW dns_log_view AS
SELECT dns_log.log_index, siteinfo.domain, dns_log.date, date_trunc('second', dns_log.time) as time, dns_log.action, dns_log.zonename,
    dns_log.record_type, dns_log.hostname, dns_log.data
FROM siteinfo 
INNER JOIN dns_log ON (siteinfo.site_id = dns_log.site_id);

CREATE SEQUENCE dns_records_seq INCREMENT 1 start 1;

CREATE TABLE dns_records (
    id   integer PRIMARY KEY NOT NULL DEFAULT NEXTVAL('dns_records_seq'),
    zonename    character varying(256),
    record_type character varying(50),
    hostname    character varying(256),
    data        character varying(256),
    pref        character varying(10),
    extra       character varying(512),
    reserved1   character varying(256),
    reserved2   character varying(256)
);
